linux-aws-hwe (4.15.0-1033.35~16.04.1) xenial; urgency=medium

  * linux-aws-hwe: 4.15.0-1033.35~16.04.1 -proposed tracker (LP: #1814742)

  * Packaging resync (LP: #1786013)
    - [Packaging] update helper scripts

  [ Ubuntu: 4.15.0-1033.35 ]

  * linux-aws: 4.15.0-1033.35 -proposed tracker (LP: #1814731)
  * linux: 4.15.0-46.49 -proposed tracker (LP: #1814726)
  * mprotect fails on ext4 with dax (LP: #1799237)
    - x86/speculation/l1tf: Exempt zeroed PTEs from inversion
  * kernel BUG at /build/linux-vxxS7y/linux-4.15.0/mm/slub.c:296! (LP: #1812086)
    - iscsi target: fix session creation failure handling
    - scsi: iscsi: target: Set conn->sess to NULL when iscsi_login_set_conn_values
      fails
    - scsi: iscsi: target: Fix conn_ops double free
  * user_copy in user from ubuntu_kernel_selftests failed on KVM kernel
    (LP: #1812198)
    - selftests: user: return Kselftest Skip code for skipped tests
    - selftests: kselftest: change KSFT_SKIP=4 instead of KSFT_PASS
    - selftests: kselftest: Remove outdated comment
  * RTL8822BE WiFi Disabled in Kernel 4.18.0-12 (LP: #1806472)
    - SAUCE: staging: rtlwifi: allow RTLWIFI_DEBUG_ST to be disabled
    - [Config] CONFIG_RTLWIFI_DEBUG_ST=n
    - SAUCE: Add r8822be to signature inclusion list
  * kernel oops in bcache module (LP: #1793901)
    - SAUCE: bcache: never writeback a discard operation
  * CVE-2018-18397
    - userfaultfd: use ENOENT instead of EFAULT if the atomic copy user fails
    - userfaultfd: shmem: allocate anonymous memory for MAP_PRIVATE shmem
    - userfaultfd: shmem/hugetlbfs: only allow to register VM_MAYWRITE vmas
    - userfaultfd: shmem: add i_size checks
    - userfaultfd: shmem: UFFDIO_COPY: set the page dirty if VM_WRITE is not set
  * Ignore "incomplete report" from Elan touchpanels (LP: #1813733)
    - HID: i2c-hid: Ignore input report if there's no data present on Elan
      touchpanels
  * Vsock connect fails with ENODEV for large CID (LP: #1813934)
    - vhost/vsock: fix vhost vsock cid hashing inconsistent
  * SRU: Fix thinkpad 11e 3rd boot hang (LP: #1804604)
    - ACPI / LPSS: Force LPSS quirks on boot
  * Bionic update: upstream stable patchset 2019-01-17 (LP: #1812229)
    - scsi: sd_zbc: Fix variable type and bogus comment
    - KVM/Eventfd: Avoid crash when assign and deassign specific eventfd in
      parallel.
    - x86/apm: Don't access __preempt_count with zeroed fs
    - x86/events/intel/ds: Fix bts_interrupt_threshold alignment
    - x86/MCE: Remove min interval polling limitation
    - fat: fix memory allocation failure handling of match_strdup()
    - ALSA: hda/realtek - Add Panasonic CF-SZ6 headset jack quirk
    - ARCv2: [plat-hsdk]: Save accl reg pair by default
    - ARC: Fix CONFIG_SWAP
    - ARC: configs: Remove CONFIG_INITRAMFS_SOURCE from defconfigs
    - ARC: mm: allow mprotect to make stack mappings executable
    - mm: memcg: fix use after free in mem_cgroup_iter()
    - mm/huge_memory.c: fix data loss when splitting a file pmd
    - cpufreq: intel_pstate: Register when ACPI PCCH is present
    - vfio/pci: Fix potential Spectre v1
    - stop_machine: Disable preemption when waking two stopper threads
    - drm/i915: Fix hotplug irq ack on i965/g4x
    - drm/nouveau: Use drm_connector_list_iter_* for iterating connectors
    - drm/nouveau: Avoid looping through fake MST connectors
    - gen_stats: Fix netlink stats dumping in the presence of padding
    - ipv4: Return EINVAL when ping_group_range sysctl doesn't map to user ns
    - ipv6: fix useless rol32 call on hash
    - ipv6: ila: select CONFIG_DST_CACHE
    - lib/rhashtable: consider param->min_size when setting initial table size
    - net: diag: Don't double-free TCP_NEW_SYN_RECV sockets in tcp_abort
    - net: Don't copy pfmemalloc flag in __copy_skb_header()
    - skbuff: Unconditionally copy pfmemalloc in __skb_clone()
    - net/ipv4: Set oif in fib_compute_spec_dst
    - net: phy: fix flag masking in __set_phy_supported
    - ptp: fix missing break in switch
    - qmi_wwan: add support for Quectel EG91
    - tg3: Add higher cpu clock for 5762.
    - hv_netvsc: Fix napi reschedule while receive completion is busy
    - net/mlx4_en: Don't reuse RX page when XDP is set
    - net: systemport: Fix CRC forwarding check for SYSTEMPORT Lite
    - ipv6: make DAD fail with enhanced DAD when nonce length differs
    - net: usb: asix: replace mii_nway_restart in resume path
    - alpha: fix osf_wait4() breakage
    - cxl_getfile(): fix double-iput() on alloc_file() failures
    - powerpc/powernv: Fix save/restore of SPRG3 on entry/exit from stop (idle)
    - xhci: Fix perceived dead host due to runtime suspend race with event handler
    - KVM: irqfd: fix race between EPOLLHUP and irq_bypass_register_consumer
    - x86/kvmclock: set pvti_cpu0_va after enabling kvmclock
    - ALSA: hda/realtek - Yet another Clevo P950 quirk entry
    - drm/amdgpu: Reserve VM root shared fence slot for command submission (v3)
    - rhashtable: add restart routine in rhashtable_free_and_destroy()
    - sch_fq_codel: zero q->flows_cnt when fq_codel_init fails
    - sctp: introduce sctp_dst_mtu
    - sctp: fix the issue that pathmtu may be set lower than MINSEGMENT
    - net: aquantia: vlan unicast address list correct handling
    - drm_mode_create_lease_ioctl(): fix open-coded filp_clone_open()
  * Bionic update: upstream stable patchset 2019-01-15 (LP: #1811877)
    - compiler-gcc.h: Add __attribute__((gnu_inline)) to all inline declarations
    - x86/asm: Add _ASM_ARG* constants for argument registers to <asm/asm.h>
    - x86/paravirt: Make native_save_fl() extern inline
    - Btrfs: fix duplicate extents after fsync of file with prealloc extents
    - cpufreq / CPPC: Set platform specific transition_delay_us
    - PCI: exynos: Fix a potential init_clk_resources NULL pointer dereference
    - alx: take rtnl before calling __alx_open from resume
    - atm: Preserve value of skb->truesize when accounting to vcc
    - atm: zatm: Fix potential Spectre v1
    - ipv6: sr: fix passing wrong flags to crypto_alloc_shash()
    - ipvlan: fix IFLA_MTU ignored on NEWLINK
    - ixgbe: split XDP_TX tail and XDP_REDIRECT map flushing
    - net: dccp: avoid crash in ccid3_hc_rx_send_feedback()
    - net: dccp: switch rx_tstamp_last_feedback to monotonic clock
    - net: fix use-after-free in GRO with ESP
    - net: macb: Fix ptp time adjustment for large negative delta
    - net/mlx5e: Avoid dealing with vport representors if not being e-switch
      manager
    - net/mlx5: E-Switch, Avoid setup attempt if not being e-switch manager
    - net/mlx5: Fix command interface race in polling mode
    - net/mlx5: Fix incorrect raw command length parsing
    - net/mlx5: Fix required capability for manipulating MPFS
    - net/mlx5: Fix wrong size allocation for QoS ETC TC regitster
    - net: mvneta: fix the Rx desc DMA address in the Rx path
    - net/packet: fix use-after-free
    - net_sched: blackhole: tell upper qdisc about dropped packets
    - net: sungem: fix rx checksum support
    - net/tcp: Fix socket lookups with SO_BINDTODEVICE
    - qede: Adverstise software timestamp caps when PHC is not available.
    - qed: Fix setting of incorrect eswitch mode.
    - qed: Fix use of incorrect size in memcpy call.
    - qed: Limit msix vectors in kdump kernel to the minimum required count.
    - r8152: napi hangup fix after disconnect
    - stmmac: fix DMA channel hang in half-duplex mode
    - strparser: Remove early eaten to fix full tcp receive buffer stall
    - tcp: fix Fast Open key endianness
    - tcp: prevent bogus FRTO undos with non-SACK flows
    - vhost_net: validate sock before trying to put its fd
    - VSOCK: fix loopback on big-endian systems
    - net: cxgb3_main: fix potential Spectre v1
    - rtlwifi: Fix kernel Oops "Fw download fail!!"
    - rtlwifi: rtl8821ae: fix firmware is not ready to run
    - net: lan78xx: Fix race in tx pending skb size calculation
    - crypto: af_alg - Initialize sg_num_bytes in error code path
    - mtd: rawnand: denali_dt: set clk_x_rate to 200 MHz unconditionally
    - PCI: hv: Disable/enable IRQs rather than BH in hv_compose_msi_msg()
    - netfilter: ebtables: reject non-bridge targets
    - reiserfs: fix buffer overflow with long warning messages
    - KEYS: DNS: fix parsing multiple options
    - tls: Stricter error checking in zerocopy sendmsg path
    - autofs: fix slab out of bounds read in getname_kernel()
    - nsh: set mac len based on inner packet
    - bdi: Fix another oops in wb_workfn()
    - rds: avoid unenecessary cong_update in loop transport
    - net/nfc: Avoid stalls when nfc_alloc_send_skb() returned NULL.
    - string: drop __must_check from strscpy() and restore strscpy() usages in
      cgroup
    - nfsd: COPY and CLONE operations require the saved filehandle to be set
    - net/sched: act_ife: fix recursive lock and idr leak
    - net/sched: act_ife: preserve the action control in case of error
    - hinic: reset irq affinity before freeing irq
    - nfp: flower: fix mpls ether type detection
    - net: macb: initialize bp->queues[0].bp for at91rm9200
    - enic: do not overwrite error code
    - virtio_net: fix memory leak in XDP_REDIRECT
    - netfilter: ipv6: nf_defrag: drop skb dst before queueing
    - ipvs: initialize tbl->entries after allocation
    - ipvs: initialize tbl->entries in ip_vs_lblc_init_svc()
    - bpf: enforce correct alignment for instructions
    - bpf, arm32: fix to use bpf_jit_binary_lock_ro api
  * Fix non-working pinctrl-intel (LP: #1811777)
    - pinctrl: intel: Implement intel_gpio_get_direction callback
    - pinctrl: intel: Do pin translation in other GPIO operations as well
  * ip6_gre: fix tunnel list corruption for x-netns (LP: #1812875)
    - ip6_gre: fix tunnel list corruption for x-netns
  * Userspace break as a result of missing patch backport (LP: #1813873)
    - tty: Don't hold ldisc lock in tty_reopen() if ldisc present
  * kvm_stat : missing python dependency (LP: #1798776)
    - tools/kvm_stat: fix python3 issues
    - tools/kvm_stat: switch to python3
  * [SRU] Fix Xorg crash with nomodeset when BIOS enable 64-bit fb addr
    (LP: #1812797)
    - vgaarb: Add support for 64-bit frame buffer address
    - vgaarb: Keep adding VGA device in queue
  * Fix non-working QCA Rome Bluetooth after S3 (LP: #1812812)
    - USB: Add new USB LPM helpers
    - USB: Consolidate LPM checks to avoid enabling LPM twice
  * ptrace-tm-spd-gpr in powerpc/ptrace from ubuntu_kerenl_selftests failed on
    Bionic P8 (LP: #1813127)
    - selftests/powerpc: Fix ptrace tm failure
  * [SRU] IO's are issued with incorrect Scatter Gather Buffer (LP: #1795453)
    - scsi: megaraid_sas: Use 63-bit DMA addressing
  * Consider enabling CONFIG_NETWORK_PHY_TIMESTAMPING (LP: #1785816)
    - [Config] Enable timestamping in network PHY devices
  * CVE-2018-19854
    - crypto: user - fix leaking uninitialized memory to userspace
  * x86/mm: Found insecure W+X mapping at address (ptrval)/0xc00a0000
    (LP: #1813532)
    - x86/mm: Do not warn about PCI BIOS W+X mappings
  * CVE-2019-6133
    - fork: record start_time late
  * Fix not working Goodix touchpad (LP: #1811929)
    - HID: i2c-hid: Disable runtime PM on Goodix touchpad
  * bluetooth controller not detected with 4.15 kernel (LP: #1810797)
    - SAUCE: btqcomsmd: introduce BT_QCOMSMD_HACK
    - [Config] arm64: snapdragon: BT_QCOMSMD_HACK=y
  * X1 Extreme: only one of the two SSDs is loaded (LP: #1811755)
    - nvme-core: rework a NQN copying operation
    - nvme: pad fake subsys NQN vid and ssvid with zeros
    - nvme: introduce NVME_QUIRK_IGNORE_DEV_SUBNQN
  * Crash on "ip link add foo type ipip" (LP: #1811803)
    - SAUCE: fan: Fix NULL pointer dereference
  * linux: 4.15.0-45.48 -proposed tracker (LP: #1813779)
  * External monitors does not work anymore 4.15.0-44 (LP: #1813663)
    - SAUCE: Revert "drm/i915/dp: Send DPCD ON for MST before phy_up"
  * kernel 4.15.0-44 cannot mount ext4 fs with meta_bg enabled (LP: #1813727)
    - ext4: fix false negatives *and* false positives in ext4_check_descriptors()

 -- Kleber Sacilotto de Souza <kleber.souza@canonical.com>  Thu, 14 Feb 2019 15:24:11 +0100

linux-aws-hwe (4.15.0-1032.34~16.04.1) xenial; urgency=medium

  * linux-aws-hwe: 4.15.0-1032.34~16.04.1 -proposed tracker (LP: #1811430)

  * Packaging resync (LP: #1786013)
    - [Packaging] update update.conf

  [ Ubuntu: 4.15.0-1032.34 ]

  * linux-aws: 4.15.0-1032.34 -proposed tracker (LP: #1811422)
  * Packaging resync (LP: #1786013)
    - [Packaging] update update.conf
  * Add Cavium ThunderX2 SoC UNCORE PMU driver (LP: #1811200)
    - [Config] New config CONFIG_THUNDERX2_PMU=m
  * SATA device is not going to DEVSLP (LP: #1781533)
    - [Config] set CONFIG_SATA_MOBILE_LPM_POLICY=0
  * Bionic update: upstream stable patchset 2019-01-04 (LP: #1810554)
    - [config] x86 CRYPTO_SALSA20 deprecated
  * linux: 4.15.0-44.47 -proposed tracker (LP: #1811419)
  * Packaging resync (LP: #1786013)
    - [Packaging] update helper scripts
  * CPU hard lockup with rigorous writes to NVMe drive (LP: #1810998)
    - blk-wbt: pass in enum wbt_flags to get_rq_wait()
    - blk-wbt: Avoid lock contention and thundering herd issue in wbt_wait
    - blk-wbt: move disable check into get_limit()
    - blk-wbt: use wq_has_sleeper() for wq active check
    - blk-wbt: fix has-sleeper queueing check
    - blk-wbt: abstract out end IO completion handler
    - blk-wbt: improve waking of tasks
  * To reduce the Realtek USB cardreader power consumption (LP: #1811337)
    - mmc: sdhci: Disable 1.8v modes (HS200/HS400/UHS) if controller can't support
      1.8v
    - mmc: core: Introduce MMC_CAP_SYNC_RUNTIME_PM
    - mmc: rtsx_usb_sdmmc: Don't runtime resume the device while changing led
    - mmc: rtsx_usb: Use MMC_CAP2_NO_SDIO
    - mmc: rtsx_usb: Enable MMC_CAP_ERASE to allow erase/discard/trim requests
    - mmc: rtsx_usb_sdmmc: Re-work runtime PM support
    - mmc: rtsx_usb_sdmmc: Re-work card detection/removal support
    - memstick: rtsx_usb_ms: Add missing pm_runtime_disable() in probe function
    - misc: rtsx_usb: Use USB remote wakeup signaling for card insertion detection
    - memstick: Prevent memstick host from getting runtime suspended during card
      detection
    - memstick: rtsx_usb_ms: Use ms_dev() helper
    - memstick: rtsx_usb_ms: Support runtime power management
  * Support non-strict iommu mode on arm64 (LP: #1806488)
    - iommu/io-pgtable-arm: Fix race handling in split_blk_unmap()
    - iommu/arm-smmu-v3: Implement flush_iotlb_all hook
    - iommu/dma: Add support for non-strict mode
    - iommu: Add "iommu.strict" command line option
    - iommu/io-pgtable-arm: Add support for non-strict mode
    - iommu/arm-smmu-v3: Add support for non-strict mode
    - iommu/io-pgtable-arm-v7s: Add support for non-strict mode
    - iommu/arm-smmu: Support non-strict mode
  * ELAN900C:00 04F3:2844 touchscreen doesn't work (LP: #1811335)
    - pinctrl: cannonlake: Fix community ordering for H variant
    - pinctrl: cannonlake: Fix HOSTSW_OWN register offset of H variant
  * Add Cavium ThunderX2 SoC UNCORE PMU driver (LP: #1811200)
    - perf: Export perf_event_update_userpage
    - Documentation: perf: Add documentation for ThunderX2 PMU uncore driver
    - drivers/perf: Add Cavium ThunderX2 SoC UNCORE PMU driver
    - [Config] New config CONFIG_THUNDERX2_PMU=m
  * Update hisilicon SoC-specific drivers (LP: #1810457)
    - SAUCE: Revert "net: hns3: Updates RX packet info fetch in case of multi BD"
    - Revert "UBUNTU: SAUCE: {topost} net: hns3: separate roce from nic when
      resetting"
    - Revert "UBUNTU: SAUCE: {topost} net: hns3: Use roce handle when calling roce
      callback function"
    - Revert "UBUNTU: SAUCE: {topost} net: hns3: Add calling roce callback
      function when link status change"
    - Revert "UBUNTU: SAUCE: {topost} net: hns3: optimize the process of notifying
      roce client"
    - Revert "UBUNTU: SAUCE: {topost} net: hns3: Add pf reset for hip08 RoCE"
    - scsi: hisi_sas: Remove depends on HAS_DMA in case of platform dependency
    - ethernet: hisilicon: hns: hns_dsaf_mac: Use generic eth_broadcast_addr
    - scsi: hisi_sas: consolidate command check in hisi_sas_get_ata_protocol()
    - scsi: hisi_sas: remove some unneeded structure members
    - scsi: hisi_sas: Introduce hisi_sas_phy_set_linkrate()
    - net: hns: Fix the process of adding broadcast addresses to tcam
    - net: hns3: remove redundant variable 'protocol'
    - scsi: hisi_sas: Drop hisi_sas_slot_abort()
    - net: hns: Make many functions static
    - net: hns: make hns_dsaf_roce_reset non static
    - net: hisilicon: hns: Replace mdelay() with msleep()
    - net: hns3: fix return value error while hclge_cmd_csq_clean failed
    - net: hns: remove redundant variables 'max_frm' and 'tmp_mac_key'
    - net: hns: Mark expected switch fall-through
    - net: hns3: Mark expected switch fall-through
    - net: hns3: Remove tx ring BD len register in hns3_enet
    - net: hns: modify variable type in hns_nic_reuse_page
    - net: hns: use eth_get_headlen interface instead of hns_nic_get_headlen
    - net: hns3: modify variable type in hns3_nic_reuse_page
    - net: hns3: Fix for vf vlan delete failed problem
    - net: hns3: Fix for multicast failure
    - net: hns3: Fix error of checking used vlan id
    - net: hns3: Implement shutdown ops in hns3 pci driver
    - net: hns3: Fix for loopback selftest failed problem
    - net: hns3: Fix ping exited problem when doing lp selftest
    - net: hns3: Preserve vlan 0 in hardware table
    - net: hns3: Only update mac configuation when necessary
    - net: hns3: Change the dst mac addr of loopback packet
    - net: hns3: Remove redundant codes of query advertised flow control abilitiy
    - net: hns3: Refine hns3_get_link_ksettings()
    - net: hns: make function hns_gmac_wait_fifo_clean() static
    - net: hns3: Add default irq affinity
    - net: hns3: Add unlikely for buf_num check
    - net: hns3: Remove tx budget to clean more TX descriptors in a napi
    - net: hns3: Remove packet statistics of public
    - net: hns3: Add support for hns3_nic_netdev_ops.ndo_do_ioctl
    - net: hns3: Set STATE_DOWN bit of hdev state when stopping net
    - net: hns3: Check hdev state when getting link status
    - net: hns3: Fix for setting speed for phy failed problem
    - net: hns3: Fix cmdq registers initialization issue for vf
    - net: hns3: Clear client pointer when initialize client failed or unintialize
      finished
    - net: hns3: Fix client initialize state issue when roce client initialize
      failed
    - net: hns3: Fix parameter type for q_id in hclge_tm_q_to_qs_map_cfg()
    - net: hns3: Fix ets validate issue
    - net: hns3: Unify the type convert for desc.data
    - net: hns3: Adjust prefix of tx/rx statistic names
    - net: hns3: Fix tqp array traversal condition for vf
    - net: hns3: Unify the prefix of vf functions
    - net: hns3: Add handle for default case
    - net: hns3: Add nic state check before calling netif_tx_wake_queue
    - net: hns3: Add unlikely for dma_mapping_error check
    - net: hns3: Remove print messages for error packet
    - net: hns3: Add get_media_type ops support for VF
    - net: hns3: Fix speed/duplex information loss problem when executing ethtool
      ethx cmd of VF
    - net: hns3: Remove redundant hclge_get_port_type()
    - net: hns3: Add support for sctp checksum offload
    - net: hns3: Set extra mac address of pause param for HW
    - net: hns3: Rename loop mode
    - net: hns3: Rename mac loopback to app loopback
    - net: hns3: Add serdes parallel inner loopback support
    - net: hns3: Fix for packet buffer setting bug
    - net: hns3: Fix for netdev not up problem when setting mtu
    - net: hns3: Change return type of hclge_tm_schd_info_update()
    - net: hns3: Modify hns3_get_max_available_channels
    - net: hns3: Fix loss of coal configuration while doing reset
    - net: hns: remove ndo_poll_controller
    - hns3: Fix the build.
    - hns3: Another build fix.
    - net: hns3: Add flow director initialization
    - net: hns3: Add input key and action config support for flow director
    - net: hns3: Add support for rule add/delete for flow director
    - net: hns3: Add support for rule query of flow director
    - net: hns3: Add reset handle for flow director
    - net: hns3: Remove all flow director rules when unload hns3 driver
    - net: hns3: Add support for enable/disable flow director
    - net: hns3: Remove the default mask configuration for mac vlan table
    - net: hns3: Clear mac vlan table entries when unload driver or function reset
    - net: hns3: Optimize for unicast mac vlan table
    - net: hns3: Drop depricated mta table support
    - net: hns3: Add egress/ingress vlan filter for revision 0x21
    - net: hns3: Fix for rx vlan id handle to support Rev 0x21 hardware
    - net: hns3: Add new RSS hash algorithm support for PF
    - net: hns3: Add RSS general configuration support for VF
    - net: hns3: Add RSS tuples support for VF
    - net: hns3: Add HW RSS hash information to RX skb
    - net: hns3: Enable promisc mode when mac vlan table is full
    - net: hns3: Resume promisc mode and vlan filter status after reset
    - net: hns3: Resume promisc mode and vlan filter status after loopback test
    - scsi: hisi_sas: Feed back linkrate(max/min) when re-attached
    - scsi: hisi_sas: Move evaluation of hisi_hba in hisi_sas_task_prep()
    - scsi: hisi_sas: Fix the race between IO completion and timeout for
      SMP/internal IO
    - scsi: hisi_sas: Free slot later in slot_complete_vx_hw()
    - scsi: hisi_sas: unmask interrupts ent72 and ent74
    - scsi: hisi_sas: Use block layer tag instead for IPTT
    - scsi: hisi_sas: Update v3 hw AIP_LIMIT and CFG_AGING_TIME register values
    - net: hns3: remove hns3_fill_desc_tso
    - net: hns3: move DMA map into hns3_fill_desc
    - net: hns3: add handling for big TX fragment
    - net: hns3: rename hns_nic_dma_unmap
    - net: hns3: fix for multiple unmapping DMA problem
    - scsi: hisi_sas: Fix spin lock management in slot_index_alloc_quirk_v2_hw()
    - scsi: hisi_sas: Fix NULL pointer dereference
    - net: hns3: Add PCIe AER callback error_detected
    - net: hns3: Add PCIe AER error recovery
    - net: hns3: Add support to enable and disable hw errors
    - net: hns3: Add enable and process common ecc errors
    - net: hns3: Add enable and process hw errors from IGU, EGU and NCSI
    - net: hns3: Add enable and process hw errors from PPP
    - net: hns3: Add enable and process hw errors of TM scheduler
    - net: hns3: Fix for warning uninitialized symbol hw_err_lst3
    - net: hns3: fix spelling mistake "intrerrupt" -> "interrupt"
    - net: hns3: add error handler for hns3_nic_init_vector_data()
    - net: hns3: bugfix for buffer not free problem during resetting
    - net: hns3: bugfix for reporting unknown vector0 interrupt repeatly problem
    - net: hns3: bugfix for the initialization of command queue's spin lock
    - net: hns3: remove unnecessary queue reset in the hns3_uninit_all_ring()
    - net: hns3: bugfix for is_valid_csq_clean_head()
    - net: hns3: bugfix for hclge_mdio_write and hclge_mdio_read
    - net: hns3: fix incorrect return value/type of some functions
    - net: hns3: bugfix for handling mailbox while the command queue reinitialized
    - net: hns3: bugfix for rtnl_lock's range in the hclge_reset()
    - net: hns3: bugfix for rtnl_lock's range in the hclgevf_reset()
    - net: hns3: Fix for out-of-bounds access when setting pfc back pressure
    - scsi: hisi_sas: Remove set but not used variable 'dq_list'
    - net: hns3: bugfix for not checking return value
    - net: hns: Incorrect offset address used for some registers.
    - net: hns: All ports can not work when insmod hns ko after rmmod.
    - net: hns: Some registers use wrong address according to the datasheet.
    - net: hns: Fixed bug that netdev was opened twice
    - net: hns: Clean rx fbd when ae stopped.
    - net: hns: Free irq when exit from abnormal branch
    - net: hns: Avoid net reset caused by pause frames storm
    - net: hns: Fix ntuple-filters status error.
    - net: hns: Add mac pcs config when enable|disable mac
    - net: hns: Fix ping failed when use net bridge and send multicast
    - net: hns3: use HNS3_NIC_STATE_INITED to indicate the initialization state of
      enet
    - net: hns3: add set_default_reset_request in the hnae3_ae_ops
    - net: hns3: provide some interface & information for the client
    - net: hns3: adjust the location of clearing the table when doing reset
    - net: hns3: enable/disable ring in the enet while doing UP/DOWN
    - net: hns3: use HNS3_NIC_STATE_RESETTING to indicate resetting
    - net: hns3: ignore new coming low-level reset while doing high-level reset
    - net: hns3: move some reset information from hnae3_handle into
      hclge_dev/hclgevf_dev
    - net: hns3: adjust the process of PF reset
    - net: hns3: call roce's reset notify callback when resetting
    - net: hns3: add error handler for hclge_reset()
    - net: hns3: fix for cmd queue memory not freed problem during reset
    - net: hns3: Remove set but not used variable 'reset_level'
    - net: hns3: fix spelling mistake, "assertting" -> "asserting"
    - net: hns3: add reset_hdev to reinit the hdev in VF's reset process
    - net: hns3: adjust VF's reset process
    - net: hns3: add reset handling for VF when doing PF reset
    - net: hns3: add reset handling for VF when doing Core/Global/IMP reset
    - net: hns3: stop handling command queue while resetting VF
    - net: hns3: add error handler for hclgevf_reset()
    - net: hns3: stop napi polling when HNS3_NIC_STATE_DOWN is set
    - net: hns3: implement the IMP reset processing for PF
    - net: hns3: add PCIe FLR support for PF
    - net: hns3: do VF's pci re-initialization while PF doing FLR
    - net: hns3: add PCIe FLR support for VF
    - net: hns3: Enable HW GRO for Rev B(=0x21) HNS3 hardware
    - net: hns3: Add handling of GRO Pkts not fully RX'ed in NAPI poll
    - net: hns3: Add skb chain when num of RX buf exceeds MAX_SKB_FRAGS
    - net: hns3: Adds GRO params to SKB for the stack
    - scsi: hisi_sas: use dma_set_mask_and_coherent
    - scsi: hisi_sas: Create separate host attributes per HBA
    - scsi: hisi_sas: Add support for interrupt converge for v3 hw
    - scsi: hisi_sas: Add support for interrupt coalescing for v3 hw
    - scsi: hisi_sas: Relocate some codes to avoid an unused check
    - scsi: hisi_sas: change the time of SAS SSP connection
    - net: hns3: fix spelling mistake "failded" -> "failed"
    - net: hns3: Support two vlan header when setting mtu
    - net: hns3: Refactor mac mtu setting related functions
    - net: hns3: Add vport alive state checking support
    - net: hns3: Add mtu setting support for vf
    - net: hns3: up/down netdev in hclge module when setting mtu
    - net: hns3: add common validation in hclge_dcb
    - net: hns3: Add debugfs framework registration
    - net: hns3: Add "queue info" query function
    - net: hns3: Add "FD flow table" info query function
    - net: hns3: Add "tc config" info query function
    - net: hns3: Add "tm config" info query function
    - net: hns3: Add "qos pause" config info query function
    - net: hns3: Add "qos prio map" info query function
    - net: hns3: Add "qos buffer" config info query function
    - net: hns3: Support "ethtool -d" for HNS3 VF driver
    - net: hns3: Adds support to dump(using ethool-d) PCIe regs in HNS3 PF driver
    - net: hns3: remove existing process error functions and reorder hw_blk table
    - net: hns3: rename enable error interrupt functions
    - net: hns3: re-enable error interrupts on hw reset
    - net: hns3: deletes unnecessary settings of the descriptor data
    - net: hns3: rename process_hw_error function
    - net: hns3: add optimization in the hclge_hw_error_set_state
    - net: hns3: add handling of hw ras errors using new set of commands
    - net: hns3: deleted logging 1 bit errors
    - net: hns3: add handling of hw errors reported through MSIX
    - net: hns3: add handling of hw errors of MAC
    - net: hns3: handle hw errors of PPP PF
    - net: hns3: handle hw errors of PPU(RCB)
    - net: hns3: handle hw errors of SSU
    - net: hns3: add handling of RDMA RAS errors
    - net: hns3: fix spelling mistake "offser" -> "offset"
    - scsi: hisi_sas: Fix warnings detected by sparse
    - scsi: hisi_sas: Relocate some code to reduce complexity
    - scsi: hisi_sas: Make sg_tablesize consistent value
    - hns3: prevent building without CONFIG_INET
    - net: hns3: Add "bd info" query function
    - net: hns3: Add "manager table" information query function
    - net: hns3: Add "status register" information query function
    - net: hns3: Add "dcb register" status information query function
    - net: hns3: Add "queue map" information query function
    - net: hns3: Add "tm map" status information query function
    - net: hns3: fix error handling int the hns3_get_vector_ring_chain
    - net: hns3: uninitialize pci in the hclgevf_uninit
    - net: hns3: fix napi_disable not return problem
    - net: hns3: update some variables while hclge_reset()/hclgevf_reset() done
    - net: hns3: remove unnecessary configuration recapture while resetting
    - net: hns3: fix incomplete uninitialization of IRQ in the
      hns3_nic_uninit_vector_data()
    - net: hns3: update coalesce param per second
    - net: hns3: remove 1000M/half support of phy
    - net: hns3: synchronize speed and duplex from phy when phy link up
    - net: hns3: getting tx and dv buffer size through firmware
    - net: hns3: aligning buffer size in SSU to 256 bytes
    - net: hns3: fix a SSU buffer checking bug
    - scsi: hisi_sas: Add support for DIF feature for v2 hw
    - net: hns3: refine the handle for hns3_nic_net_open/stop()
    - net: hns3: change default tc state to close
    - net: hns3: fix a bug caused by udelay
    - net: hns3: add max vector number check for pf
    - net: hns3: reset tqp while doing DOWN operation
    - net: hns3: fix vf id check issue when add flow director rule
    - net: hns3: don't restore rules when flow director is disabled
    - net: hns3: fix the descriptor index when get rss type
    - net: hns3: remove redundant variable initialization
    - net: hns3: call hns3_nic_net_open() while doing HNAE3_UP_CLIENT
  * iptables connlimit allows more connections than the limit when using
    multiple CPUs (LP: #1811094)
    - SAUCE: netfilter: xt_connlimit: remove the 'addr' parameter in add_hlist()
    - netfilter: nf_conncount: expose connection list interface
    - netfilter: nf_conncount: Fix garbage collection with zones
    - netfilter: nf_conncount: fix garbage collection confirm race
    - netfilter: nf_conncount: don't skip eviction when age is negative
  * CVE-2018-16882
    - KVM: Fix UAF in nested posted interrupt processing
  * Cannot initialize ATA disk if IDENTIFY command fails (LP: #1809046)
    - scsi: libsas: check the ata device status by ata_dev_enabled()
  * scsi: libsas: fix a race condition when smp task timeout (LP: #1808912)
    - scsi: libsas: fix a race condition when smp task timeout
  * CVE-2018-14625
    - vhost/vsock: fix use-after-free in network stack callers
  * Fix and issue that LG I2C touchscreen stops working after reboot
    (LP: #1805085)
    - HID: i2c-hid: Disable runtime PM for LG touchscreen
  * powerpc/powernv/pci: Work around races in PCI bridge enabling (LP: #1805245)
    - powerpc/powernv/pci: Work around races in PCI bridge enabling
  * Drivers: hv: vmbus: Offload the handling of channels to two workqueues
    (LP: #1807757)
    - hv_netvsc: fix network namespace issues with VF support
    - hv_netvsc: split sub-channel setup into async and sync
    - Drivers: hv: vmbus: Fix the offer_in_progress in vmbus_process_offer()
    - hv_netvsc: Fix a deadlock by getting rtnl lock earlier in netvsc_probe()
    - vmbus: don't return values for uninitalized channels
    - Drivers: hv: vmbus: check the creation_status in vmbus_establish_gpadl()
    - Drivers: hv: vmbus: Offload the handling of channels to two workqueues
  * Disable LPM for Raydium Touchscreens (LP: #1802248)
    - USB: quirks: Add no-lpm quirk for Raydium touchscreens
  * Power leakage at S5 with Qualcomm Atheros QCA9377 802.11ac Wireless Network
    Adapter (LP: #1805607)
    - SAUCE: ath10k: provide reset function for QCA9377 chip
  * CVE-2018-17972
    - proc: restrict kernel stack dumps to root
  * CVE-2018-19407
    - KVM: X86: Fix scan ioapic use-before-initialization
  * CVE-2018-18281
    - mremap: properly flush TLB before releasing the page
  * Fix USB2 device wrongly detected as USB1 (LP: #1806534)
    - xhci: Add quirk to workaround the errata seen on Cavium Thunder-X2 Soc
  * armhf guests fail to boot in EFI mode (LP: #1809488)
    - efi/arm: Revert deferred unmap of early memmap mapping
  * Bionic shows incorrect warning about number of pointers in TFD
    (LP: #1801102)
    - iwlwifi: pcie: don't warn if we use all the transmit pointers
  * audio output has constant noise on a Dell machine (LP: #1810891)
    - ALSA: hda/realtek - Fixed headphone issue for ALC700
  * ldisc crash on reopened tty (LP: #1791758)
    - tty: Drop tty->count on tty_reopen() failure
    - tty: Hold tty_ldisc_lock() during tty_reopen()
    - tty: Don't block on IO when ldisc change is pending
    - tty: Simplify tty->count math in tty_reopen()
  * SATA device is not going to DEVSLP (LP: #1781533)
    - ahci: Allow setting a default LPM policy for mobile chipsets
    - ata: libahci: Correct setting of DEVSLP register
    - ata: libahci: Allow reconfigure of DEVSLP register
    - ata: ahci: Support state with min power but Partial low power state
    - ata: ahci: Enable DEVSLP by default on x86 with SLP_S0
    - [Config] set CONFIG_SATA_MOBILE_LPM_POLICY=0
  * Console got stuck using serial tty after logout (LP: #1808097)
    - tty: do not set TTY_IO_ERROR flag if console port
  * fanotify10 in ubuntu_ltp_syscalls failed (LP: #1802454)
    - fsnotify: fix ignore mask logic in fsnotify()
  * SRU: Fix kernel xhci hang when resume from S3 (LP: #1805344)
    - usb: xhci: fix uninitialized completion when USB3 port got wrong status
    - usb: xhci: fix timeout for transition from RExit to U0
  * Add pointstick support for Cirque Touchpad (LP: #1805081)
    - HID: multitouch: Add pointstick support for Cirque Touchpad
  * Intel NVMe drives timeout when nvme format is attempted (LP: #1797587)
    - nvme: Use admin command effects for admin commands
  * lineout jack can't work on a Dell machine (LP: #1810892)
    - ALSA: hda/realtek - Support Dell headset mode for New AIO platform
  * Bionic update: upstream stable patchset 2019-01-04 (LP: #1810554)
    - MIPS: Call dump_stack() from show_regs()
    - MIPS: Use async IPIs for arch_trigger_cpumask_backtrace()
    - MIPS: Fix ioremap() RAM check
    - mmc: sdhci-esdhc-imx: allow 1.8V modes without 100/200MHz pinctrl states
    - mmc: dw_mmc: fix card threshold control configuration
    - ibmasm: don't write out of bounds in read handler
    - staging: rtl8723bs: Prevent an underflow in rtw_check_beacon_data().
    - staging: r8822be: Fix RTL8822be can't find any wireless AP
    - ata: Fix ZBC_OUT command block check
    - ata: Fix ZBC_OUT all bit handling
    - vmw_balloon: fix inflation with batching
    - ahci: Disable LPM on Lenovo 50 series laptops with a too old BIOS
    - USB: serial: ch341: fix type promotion bug in ch341_control_in()
    - USB: serial: cp210x: add another USB ID for Qivicon ZigBee stick
    - USB: serial: keyspan_pda: fix modem-status error handling
    - USB: serial: mos7840: fix status-register error handling
    - usb: quirks: add delay quirks for Corsair Strafe
    - xhci: xhci-mem: off by one in xhci_stream_id_to_ring()
    - ALSA: hda - Handle pm failure during hotplug
    - fs/proc/task_mmu.c: fix Locked field in /proc/pid/smaps*
    - fs, elf: make sure to page align bss in load_elf_library
    - mm: do not bug_on on incorrect length in __mm_populate()
    - tracing: Reorder display of TGID to be after PID
    - kbuild: delete INSTALL_FW_PATH from kbuild documentation
    - arm64: neon: Fix function may_use_simd() return error status
    - tools build: fix # escaping in .cmd files for future Make
    - IB/hfi1: Fix incorrect mixing of ERR_PTR and NULL return values
    - i2c: tegra: Fix NACK error handling
    - iw_cxgb4: correctly enforce the max reg_mr depth
    - xen: setup pv irq ops vector earlier
    - nvme-pci: Remap CMB SQ entries on every controller reset
    - crypto: x86/salsa20 - remove x86 salsa20 implementations
    - uprobes/x86: Remove incorrect WARN_ON() in uprobe_init_insn()
    - netfilter: nf_queue: augment nfqa_cfg_policy
    - netfilter: x_tables: initialise match/target check parameter struct
    - loop: add recursion validation to LOOP_CHANGE_FD
    - PM / hibernate: Fix oops at snapshot_write()
    - RDMA/ucm: Mark UCM interface as BROKEN
    - loop: remember whether sysfs_create_group() was done
    - f2fs: give message and set need_fsck given broken node id
    - mm: do not drop unused pages when userfaultd is running
    - bpf: reject passing modified ctx to helper functions
    - mei: discard messages from not connected client during power down.
    - mm: zero unavailable pages before memmap init
    - xen: remove global bit from __default_kernel_pte_mask for pv guests
    - f2fs: return error during fill_super
    - f2fs: avoid bug_on on corrupted inode
    - f2fs: sanity check on sit entry
    - f2fs: sanity check for total valid node blocks
    - ARM: dts: armada-38x: use the new thermal binding
    - mm: don't do zero_resv_unavail if memmap is not allocated
  * Blacklist Realtek Virtual IPMI device (LP: #1808353)
    - ipmi:pci: Blacklist a Realtek "IPMI" device
  * Ethernet[10ec:8136] doesn't work after S3 with kernel 4.15.0.43.64
    (LP: #1809847)
    - SAUCE: Revert "r8169: don't use MSI-X on RTL8106e"
    - r8169: re-enable MSI-X on RTL8168g
  * Killer 802.11ac 2x2 (1550 or 1550i) [8086:2526][1a56:1550] is not supported
    (LP: #1809219)
    - iwlwifi: add more card IDs for 9000 series
  * Support new Realtek ethernet chips (LP: #1811055)
    - r8169: Add support for new Realtek Ethernet
  * PC SN720 NVMe WDC 256GB consumes more power in S2Idle than during long idle
    (LP: #1805775)
    - SAUCE: pci/nvme: prevent WDC PC SN720 NVMe from entering D3 and being
      disabled
  * Power consumption during s2idle is higher than long idle (Intel SSDPEKKF)
    (LP: #1804588)
    - SAUCE: pci: prevent Intel NVMe SSDPEKKF from entering D3
    - SAUCE: nvme: add quirk to not call disable function when suspending
  * mpt3sas - driver using the wrong register to update a queue index in FW
    (LP: #1810781)
    - scsi: mpt3sas: As per MPI-spec, use combined reply queue for SAS3.5
      controllers when HBA supports more than 16 MSI-x vectors.
  * HP mobile workstations with hybrid graphics support, can not directly output
    to external monitors by dGPU (LP: #1810702)
    - ACPI / OSI: Add OEM _OSI string to enable dGPU direct output
  * broken touchpad after i2c-i801 blacklist change (LP: #1802135)
    - i2c: i801: Don't restore config registers on runtime PM
  * Enable new Realtek card reader (LP: #1806335)
    - USB: usb-storage: Add new IDs to ums-realtek
    - SAUCE: (noup) USB: usb-storage: Make MMC support optional on ums-realtek
  * The line-out on the Dell Dock station can't work (LP: #1806532)
    - ALSA: usb-audio: Allow to override the longname string
    - ALSA: usb-audio: Give proper vendor/product name for Dell WD15 Dock
    - ALSA: usb-audio: Add vendor and product name for Dell WD19 Dock
  * linux-buildinfo: pull out ABI information into its own package
    (LP: #1806380)
    - [Packaging] getabis -- handle all known package combinations
    - [Packaging] getabis -- support parsing a simple version
  * Fix Intel I210 doesn't work when ethernet cable gets plugged (LP: #1806818)
    - igb: Fix an issue that PME is not enabled during runtime suspend
  * Fix Terminus USB hub that may breaks connected USB devices after S3
    (LP: #1806850)
    - USB: Wait for extra delay time after USB_PORT_FEAT_RESET for quirky hub
  * Add support for Dell DW5821e WWAN/GPS module (LP: #1807342)
    - qmi_wwan: add support for the Dell Wireless 5821e module
    - qmi_wwan: fix interface number for DW5821e production firmware
    - USB: option: add support for DW5821e
  * Add support for 0cf3:535b QCA_ROME device (LP: #1807333)
    - Bluetooth: btusb: Add support for 0cf3:535b QCA_ROME device
  * The mute led can't work anymore on the lenovo x1 carbon (LP: #1808465)
    - ALSA: hda/realtek - Fix the mute LED regresion on Lenovo X1 Carbon
  * click/pop noise in the headphone on several lenovo laptops (LP: #1805079) //
    click/pop noise in the headphone on several lenovo laptops (LP: #1805079)
    - ALSA: hda/realtek - fix the pop noise on headphone for lenovo laptops
  * Touchpad stops working after reboot on Apollo Lake (LP: #1728244)
    - HID: i2c-hid: disable runtime PM operations on hantick touchpad
  * MAC address pass through on RTL8153-BND for docking station (LP: #1808729)
    - r8152: Add support for MAC address pass through on RTL8153-BND
  * [Ubuntu] kernel: zcrypt: reinit ap queue state machine (LP: #1805414)
    - s390/zcrypt: reinit ap queue state machine during device probe
  * [UBUNTU] qeth: fix length check in SNMP processing (LP: #1805802)
    - s390/qeth: fix length check in SNMP processing
  * ASPEED server console output extremely slow after upgrade to 18.04
    (LP: #1808183)
    - drm/ast: Remove existing framebuffers before loading driver
  * Bionic update: upstream stable patchset 2018-12-13 (LP: #1808399)
    - userfaultfd: hugetlbfs: fix userfaultfd_huge_must_wait() pte access
    - mm: hugetlb: yield when prepping struct pages
    - tracing: Fix missing return symbol in function_graph output
    - scsi: target: Fix truncated PR-in ReadKeys response
    - s390: Correct register corruption in critical section cleanup
    - drbd: fix access after free
    - vfio: Use get_user_pages_longterm correctly
    - cifs: Fix use after free of a mid_q_entry
    - cifs: Fix memory leak in smb2_set_ea()
    - cifs: Fix infinite loop when using hard mount option
    - drm: Use kvzalloc for allocating blob property memory
    - drm/udl: fix display corruption of the last line
    - jbd2: don't mark block as modified if the handle is out of credits
    - ext4: add corruption check in ext4_xattr_set_entry()
    - ext4: always verify the magic number in xattr blocks
    - ext4: make sure bitmaps and the inode table don't overlap with bg
      descriptors
    - ext4: always check block group bounds in ext4_init_block_bitmap()
    - ext4: only look at the bg_flags field if it is valid
    - ext4: verify the depth of extent tree in ext4_find_extent()
    - ext4: include the illegal physical block in the bad map ext4_error msg
    - ext4: never move the system.data xattr out of the inode body
    - ext4: avoid running out of journal credits when appending to an inline file
    - ext4: add more inode number paranoia checks
    - ext4: add more mount time checks of the superblock
    - ext4: check superblock mapped prior to committing
    - HID: i2c-hid: Fix "incomplete report" noise
    - HID: hiddev: fix potential Spectre v1
    - HID: debug: check length before copy_to_user()
    - media: vb2: core: Finish buffers at the end of the stream
    - f2fs: truncate preallocated blocks in error case
    - Revert "dpaa_eth: fix error in dpaa_remove()"
    - Kbuild: fix # escaping in .cmd files for future Make
    - media: cx25840: Use subdev host data for PLL override
    - fs: allow per-device dax status checking for filesystems
    - dax: change bdev_dax_supported() to support boolean returns
    - dax: check for QUEUE_FLAG_DAX in bdev_dax_supported()
    - dm: set QUEUE_FLAG_DAX accordingly in dm_table_set_restrictions()
    - dm: prevent DAX mounts if not supported
    - mtd: cfi_cmdset_0002: Change definition naming to retry write operation
    - mtd: cfi_cmdset_0002: Change erase functions to retry for error
    - mtd: cfi_cmdset_0002: Change erase functions to check chip good only
    - netfilter: nf_log: don't hold nf_log_mutex during user access
    - staging: comedi: quatech_daqp_cs: fix no-op loop daqp_ao_insn_write()
    - sched, tracing: Fix trace_sched_pi_setprio() for deboosting
    - PCI / ACPI / PM: Resume bridges w/o drivers on suspend-to-RAM
    - drm/amdgpu: Make struct amdgpu_atif private to amdgpu_acpi.c
    - scsi: aacraid: Fix PD performance regression over incorrect qd being set
    - ARM: dts: imx51-zii-rdu1: fix touchscreen pinctrl
    - drm/amdgpu: Add amdgpu_atpx_get_dhandle()
    - drm/amdgpu: Dynamically probe for ATIF handle (v2)
    - i2c: core: smbus: fix a potential missing-check bug
  * Bionic update: upstream stable patchset 2018-12-12 (LP: #1808185)
    - usb: cdc_acm: Add quirk for Uniden UBC125 scanner
    - USB: serial: cp210x: add CESINEL device ids
    - USB: serial: cp210x: add Silicon Labs IDs for Windows Update
    - usb: dwc2: fix the incorrect bitmaps for the ports of multi_tt hub
    - acpi: Add helper for deactivating memory region
    - usb: typec: ucsi: acpi: Workaround for cache mode issue
    - usb: typec: ucsi: Fix for incorrect status data issue
    - xhci: Fix kernel oops in trace_xhci_free_virt_device
    - n_tty: Fix stall at n_tty_receive_char_special().
    - n_tty: Access echo_* variables carefully.
    - staging: android: ion: Return an ERR_PTR in ion_map_kernel
    - serial: 8250_pci: Remove stalled entries in blacklist
    - serdev: fix memleak on module unload
    - vt: prevent leaking uninitialized data to userspace via /dev/vcs*
    - drm/amdgpu: Add APU support in vi_set_uvd_clocks
    - drm/amdgpu: Add APU support in vi_set_vce_clocks
    - drm/amdgpu: fix the missed vcn fw version report
    - drm/qxl: Call qxl_bo_unref outside atomic context
    - drm/atmel-hlcdc: check stride values in the first plane
    - drm/amdgpu: Use kvmalloc_array for allocating VRAM manager nodes array
    - drm/amdgpu: Refactor amdgpu_vram_mgr_bo_invisible_size helper
    - drm/i915: Enable provoking vertex fix on Gen9 systems.
    - netfilter: nf_tables: nft_compat: fix refcount leak on xt module
    - netfilter: nft_compat: prepare for indirect info storage
    - netfilter: nft_compat: fix handling of large matchinfo size
    - netfilter: nf_tables: don't assume chain stats are set when jumplabel is set
    - netfilter: nf_tables: bogus EBUSY in chain deletions
    - netfilter: nft_meta: fix wrong value dereference in nft_meta_set_eval
    - netfilter: nf_tables: disable preemption in nft_update_chain_stats()
    - netfilter: nf_tables: increase nft_counters_enabled in
      nft_chain_stats_replace()
    - netfilter: nf_tables: fix memory leak on error exit return
    - netfilter: nf_tables: add missing netlink attrs to policies
    - netfilter: nf_tables: fix NULL-ptr in nf_tables_dump_obj()
    - netfilter: don't set F_IFACE on ipv6 fib lookups
    - netfilter: ip6t_rpfilter: provide input interface for route lookup
    - netfilter: nf_tables: use WARN_ON_ONCE instead of BUG_ON in nft_do_chain()
    - ARM: dts: imx6q: Use correct SDMA script for SPI5 core
    - xfrm6: avoid potential infinite loop in _decode_session6()
    - afs: Fix directory permissions check
    - netfilter: ebtables: handle string from userspace with care
    - s390/dasd: use blk_mq_rq_from_pdu for per request data
    - netfilter: nft_limit: fix packet ratelimiting
    - ipvs: fix buffer overflow with sync daemon and service
    - iwlwifi: pcie: compare with number of IRQs requested for, not number of CPUs
    - atm: zatm: fix memcmp casting
    - net: qmi_wwan: Add Netgear Aircard 779S
    - perf test: "Session topology" dumps core on s390
    - perf bpf: Fix NULL return handling in bpf__prepare_load()
    - fs: clear writeback errors in inode_init_always
    - sched/core: Fix rules for running on online && !active CPUs
    - sched/core: Require cpu_active() in select_task_rq(), for user tasks
    - platform/x86: asus-wmi: Fix NULL pointer dereference
    - net/sonic: Use dma_mapping_error()
    - net: dsa: b53: Add BCM5389 support
    - usb: typec: tcpm: fix logbuffer index is wrong if _tcpm_log is re-entered
    - iio: mma8452: Fix ignoring MMA8452_INT_DRDY
    - drm/amdgpu: fix clear_all and replace handling in the VM (v2)
    - drm/amd/display: Clear connector's edid pointer
    - drm/i915/dp: Send DPCD ON for MST before phy_up
    - drm/amdgpu: remove DC special casing for KB/ML
    - drm/amdgpu: Don't default to DC support for Kaveri and older
    - drm/amdgpu: GPU vs CPU page size fixes in amdgpu_vm_bo_split_mapping
    - drm/amd/display: release spinlock before committing updates to stream
    - drm/i915: Fix PIPESTAT irq ack on i965/g4x
    - ARM64: dts: meson-gxl-s905x-p212: Add phy-supply for usb0
    - x86/mm: Don't free P4D table when it is folded at runtime
  * Bionic update: upstream stable patchset 2018-12-07 (LP: #1807469)
    - x86/spectre_v1: Disable compiler optimizations over
      array_index_mask_nospec()
    - x86/mce: Improve error message when kernel cannot recover
    - x86/mce: Check for alternate indication of machine check recovery on Skylake
    - x86/mce: Fix incorrect "Machine check from unknown source" message
    - x86/mce: Do not overwrite MCi_STATUS in mce_no_way_out()
    - x86: Call fixup_exception() before notify_die() in math_error()
    - m68k/mm: Adjust VM area to be unmapped by gap size for __iounmap()
    - m68k/mac: Fix SWIM memory resource end address
    - serial: sh-sci: Use spin_{try}lock_irqsave instead of open coding version
    - signal/xtensa: Consistenly use SIGBUS in do_unaligned_user
    - PM / Domains: Fix error path during attach in genpd
    - PM / core: Fix supplier device runtime PM usage counter imbalance
    - PM / OPP: Update voltage in case freq == old_freq
    - usb: do not reset if a low-speed or full-speed device timed out
    - 1wire: family module autoload fails because of upper/lower case mismatch.
    - ASoC: dapm: delete dapm_kcontrol_data paths list before freeing it
    - ASoC: cs35l35: Add use_single_rw to regmap config
    - ASoC: cirrus: i2s: Fix LRCLK configuration
    - ASoC: cirrus: i2s: Fix {TX|RX}LinCtrlData setup
    - thermal: bcm2835: Stop using printk format %pCr
    - clk: renesas: cpg-mssr: Stop using printk format %pCr
    - lib/vsprintf: Remove atomic-unsafe support for %pCr
    - ftrace/selftest: Have the reset_trigger code be a bit more careful
    - mips: ftrace: fix static function graph tracing
    - branch-check: fix long->int truncation when profiling branches
    - ipmi:bt: Set the timeout before doing a capabilities check
    - Bluetooth: hci_qca: Avoid missing rampatch failure with userspace fw loader
    - printk: fix possible reuse of va_list variable
    - fuse: fix congested state leak on aborted connections
    - fuse: atomic_o_trunc should truncate pagecache
    - fuse: don't keep dead fuse_conn at fuse_fill_super().
    - fuse: fix control dir setup and teardown
    - powerpc/mm/hash: Add missing isync prior to kernel stack SLB switch
    - powerpc/ptrace: Fix setting 512B aligned breakpoints with
      PTRACE_SET_DEBUGREG
    - powerpc/ptrace: Fix enforcement of DAWR constraints
    - powerpc/powernv/ioda2: Remove redundant free of TCE pages
    - powerpc/powernv: copy/paste - Mask SO bit in CR
    - powerpc/fadump: Unregister fadump on kexec down path.
    - soc: rockchip: power-domain: Fix wrong value when power up pd with writemask
    - ARM: 8764/1: kgdb: fix NUMREGBYTES so that gdb_regs[] is the correct size
    - ARM: dts: Fix SPI node for Arria10
    - ARM: dts: socfpga: Fix NAND controller node compatible
    - ARM: dts: socfpga: Fix NAND controller clock supply
    - ARM: dts: socfpga: Fix NAND controller node compatible for Arria10
    - arm64: Fix syscall restarting around signal suppressed by tracer
    - arm64: kpti: Use early_param for kpti= command-line option
    - arm64: mm: Ensure writes to swapper are ordered wrt subsequent cache
      maintenance
    - ARM64: dts: meson: disable sd-uhs modes on the libretech-cc
    - of: overlay: validate offset from property fixups
    - of: unittest: for strings, account for trailing 0 in property length field
    - of: platform: stop accessing invalid dev in of_platform_device_destroy
    - tpm: fix use after free in tpm2_load_context()
    - tpm: fix race condition in tpm_common_write()
    - IB/qib: Fix DMA api warning with debug kernel
    - IB/{hfi1, qib}: Add handling of kernel restart
    - IB/mlx4: Mark user MR as writable if actual virtual memory is writable
    - IB/core: Make testing MR flags for writability a static inline function
    - IB/mlx5: Fetch soft WQE's on fatal error state
    - IB/isert: Fix for lib/dma_debug check_sync warning
    - IB/isert: fix T10-pi check mask setting
    - IB/hfi1: Fix fault injection init/exit issues
    - IB/hfi1: Reorder incorrect send context disable
    - IB/hfi1: Optimize kthread pointer locking when queuing CQ entries
    - IB/hfi1: Fix user context tail allocation for DMA_RTAIL
    - RDMA/mlx4: Discard unknown SQP work requests
    - xprtrdma: Return -ENOBUFS when no pages are available
    - mtd: cfi_cmdset_0002: Change write buffer to check correct value
    - mtd: cfi_cmdset_0002: Use right chip in do_ppb_xxlock()
    - mtd: cfi_cmdset_0002: fix SEGV unlocking multiple chips
    - mtd: cfi_cmdset_0002: Fix unlocking requests crossing a chip boudary
    - mtd: cfi_cmdset_0002: Avoid walking all chips when unlocking.
    - PCI: hv: Make sure the bus domain is really unique
    - PCI: Add ACS quirk for Intel 7th & 8th Gen mobile
    - PCI: pciehp: Clear Presence Detect and Data Link Layer Status Changed on
      resume
    - auxdisplay: fix broken menu
    - pinctrl: samsung: Correct EINTG banks order
    - pinctrl: devicetree: Fix pctldev pointer overwrite
    - cpufreq: intel_pstate: Fix scaling max/min limits with Turbo 3.0
    - MIPS: io: Add barrier after register read in inX()
    - time: Make sure jiffies_to_msecs() preserves non-zero time periods
    - irqchip/gic-v3-its: Don't bind LPI to unavailable NUMA node
    - X.509: unpack RSA signatureValue field from BIT STRING
    - Btrfs: fix return value on rename exchange failure
    - iio: adc: ad7791: remove sample freq sysfs attributes
    - iio: sca3000: Fix an error handling path in 'sca3000_probe()'
    - mm: fix __gup_device_huge vs unmap
    - scsi: qla2xxx: Fix setting lower transfer speed if GPSC fails
    - scsi: qla2xxx: Mask off Scope bits in retry delay
    - scsi: zfcp: fix missing SCSI trace for result of eh_host_reset_handler
    - scsi: zfcp: fix missing SCSI trace for retry of abort / scsi_eh TMF
    - scsi: zfcp: fix misleading REC trigger trace where erp_action setup failed
    - scsi: zfcp: fix missing REC trigger trace on terminate_rport_io early return
    - scsi: zfcp: fix missing REC trigger trace on terminate_rport_io for
      ERP_FAILED
    - scsi: zfcp: fix missing REC trigger trace for all objects in ERP_FAILED
    - scsi: zfcp: fix missing REC trigger trace on enqueue without ERP thread
    - linvdimm, pmem: Preserve read-only setting for pmem devices
    - clk: at91: PLL recalc_rate() now using cached MUL and DIV values
    - rtc: sun6i: Fix bit_idx value for clk_register_gate
    - md: fix two problems with setting the "re-add" device state.
    - rpmsg: smd: do not use mananged resources for endpoints and channels
    - ubi: fastmap: Cancel work upon detach
    - ubi: fastmap: Correctly handle interrupted erasures in EBA
    - backlight: as3711_bl: Fix Device Tree node lookup
    - backlight: max8925_bl: Fix Device Tree node lookup
    - backlight: tps65217_bl: Fix Device Tree node lookup
    - mfd: intel-lpss: Program REMAP register in PIO mode
    - arm: dts: mt7623: fix invalid memory node being generated
    - perf tools: Fix symbol and object code resolution for vdso32 and vdsox32
    - perf intel-pt: Fix sync_switch INTEL_PT_SS_NOT_TRACING
    - perf intel-pt: Fix decoding to accept CBR between FUP and corresponding TIP
    - perf intel-pt: Fix MTC timing after overflow
    - perf intel-pt: Fix "Unexpected indirect branch" error
    - perf intel-pt: Fix packet decoding of CYC packets
    - media: vsp1: Release buffers for each video node
    - media: v4l2-compat-ioctl32: prevent go past max size
    - media: dvb_frontend: fix locking issues at dvb_frontend_get_event()
    - nfsd: restrict rd_maxcount to svc_max_payload in nfsd_encode_readdir
    - NFSv4: Fix possible 1-byte stack overflow in
      nfs_idmap_read_and_verify_message
    - NFSv4: Revert commit 5f83d86cf531d ("NFSv4.x: Fix wraparound issues..")
    - NFSv4: Fix a typo in nfs41_sequence_process
    - ACPI / LPSS: Add missing prv_offset setting for byt/cht PWM devices
    - Input: elan_i2c - add ELAN0618 (Lenovo v330 15IKB) ACPI ID
    - pwm: lpss: platform: Save/restore the ctrl register over a suspend/resume
    - rbd: flush rbd_dev->watch_dwork after watch is unregistered
    - mm/ksm.c: ignore STABLE_FLAG of rmap_item->address in rmap_walk_ksm()
    - mm: fix devmem_is_allowed() for sub-page System RAM intersections
    - xen: Remove unnecessary BUG_ON from __unbind_from_irq()
    - udf: Detect incorrect directory size
    - Input: xpad - fix GPD Win 2 controller name
    - Input: elan_i2c_smbus - fix more potential stack buffer overflows
    - ALSA: timer: Fix UBSAN warning at SNDRV_TIMER_IOCTL_NEXT_DEVICE ioctl
    - ALSA: hda/realtek - Fix pop noise on Lenovo P50 & co
    - ALSA: hda/realtek - Add a quirk for FSC ESPRIMO U9210
    - slub: fix failure when we delete and create a slab cache
    - block: Fix transfer when chunk sectors exceeds max
    - block: Fix cloning of requests with a special payload
    - x86/efi: Fix efi_call_phys_epilog() with CONFIG_X86_5LEVEL=y
    - dm zoned: avoid triggering reclaim from inside dmz_map()
    - dm thin: handle running out of data space vs concurrent discard
    - x86/platform/UV: Use new set memory block size function
    - x86/platform/UV: Add kernel parameter to set memory block size
    - platform/chrome: cros_ec_lpc: Register the driver if ACPI entry is missing.
    - platform/chrome: cros_ec_lpc: do not try DMI match when ACPI device found
    - hwmon: (k10temp) Add support for Stoney Ridge and Bristol Ridge CPUs
    - spi-nor: intel-spi: Remove unused preopcodes field
    - mtd: spi-nor: intel-spi: Fix atomic sequence handling
    - PCI / PM: Do not clear state_saved for devices that remain suspended
    - ASoC: mediatek: preallocate pages use platform device
    - libnvdimm, pmem: Do not flush power-fail protected CPU caches
    - powerpc/64s: Set assembler machine type to POWER4
    - powerpc/e500mc: Set assembler machine type to e500mc
    - hwrng: core - Always drop the RNG in hwrng_unregister()
    - softirq: Reorder trace_softirqs_on to prevent lockdep splat
    - ARM64: dts: meson-gx: fix ATF reserved memory region
    - mtd: rawnand: fix return value check for bad block status
    - mtd: rawnand: mxc: set spare area size register explicitly
    - PCI: Account for all bridges on bus when distributing bus numbers
    - pinctrl: armada-37xx: Fix spurious irq management
    - MIPS: pb44: Fix i2c-gpio GPIO descriptor table
    - locking/rwsem: Fix up_read_non_owner() warning with DEBUG_RWSEMS
    - scsi: scsi_debug: Fix memory leak on module unload
    - scsi: qla2xxx: Spinlock recursion in qla_target
    - libnvdimm, pmem: Unconditionally deep flush on *sync
    - f2fs: don't use GFP_ZERO for page caches
    - mfd: twl-core: Fix clock initialization
    - remoteproc: Prevent incorrect rproc state on xfer mem ownership failure
    - media: rc: mce_kbd decoder: fix stuck keys
    - Input: silead - add Chuwi Hi8 support
    - Input: silead - add MSSL0002 ACPI HID
    - ALSA: hda - Force to link down at runtime suspend on ATI/AMD HDMI
    - i2c: gpio: initialize SCL to HIGH again
    - kasan: depend on CONFIG_SLUB_DEBUG
    - dm: ensure bio submission follows a depth-first tree walk
    - dm: rename 'bio' member of dm_io structure to 'orig_bio'
    - dm: use bio_split() when splitting out the already processed bio
    - x86/e820: put !E820_TYPE_RAM regions into memblock.reserved
  * Support AverMedia DVD EZMaker 7 USB video capture dongle (LP: #1620762) //
    Bionic update: upstream stable patchset 2018-12-07 (LP: #1807469)
    - media: cx231xx: Add support for AverMedia DVD EZMaker 7

 -- Kleber Sacilotto de Souza <kleber.souza@canonical.com>  Fri, 18 Jan 2019 12:21:52 +0100

linux-aws-hwe (4.15.0-1031.33~16.04.1) xenial; urgency=medium

  * linux-aws-hwe: 4.15.0-1031.33~16.04.1 -proposed tracker (LP: #1806671)

  [ Ubuntu: 4.15.0-43.46 ]

  * linux: 4.15.0-43.46 -proposed tracker (LP: #1806659)
  * System randomly hangs during suspend when mei_wdt is loaded (LP: #1803942)
    - SAUCE: base/dd: limit release function changes to vfio driver only
  * Workaround CSS timeout on AMD SNPS 3.0 xHC (LP: #1806838)
    - xhci: Allow more than 32 quirks
    - xhci: workaround CSS timeout on AMD SNPS 3.0 xHC
  * linux-buildinfo: pull out ABI information into its own package
    (LP: #1806380)
    - [Packaging] limit preparation to linux-libc-dev in headers
    - [Packaging] commonise debhelper invocation
    - [Packaging] ABI -- accumulate abi information at the end of the build
    - [Packaging] buildinfo -- add basic build information
    - [Packaging] buildinfo -- add firmware information to the flavour ABI
    - [Packaging] buildinfo -- add compiler information to the flavour ABI
    - [Packaging] buildinfo -- add buildinfo support to getabis
    - [Config] buildinfo -- add retpoline version markers
  * linux packages should own /usr/lib/linux/triggers (LP: #1770256)
    - [Packaging] own /usr/lib/linux/triggers
  * CVE-2018-12896
    - posix-timers: Sanitize overrun handling
  * CVE-2018-16276
    - USB: yurex: fix out-of-bounds uaccess in read handler
  * CVE-2018-10902
    - ALSA: rawmidi: Change resized buffers atomically
  * CVE-2018-18710
    - cdrom: fix improper type cast, which can leat to information leak.
  * CVE-2018-18690
    - xfs: don't fail when converting shortform attr to long form during
      ATTR_REPLACE
  * CVE-2018-14734
    - infiniband: fix a possible use-after-free bug
  * CVE-2018-18445
    - bpf: 32-bit RSH verification must truncate input before the ALU op
  * Packaging resync (LP: #1786013)
    - [Packaging] update helper scripts

 -- Khalid Elmously <khalid.elmously@canonical.com>  Mon, 10 Dec 2018 20:25:14 +0000

linux-aws-hwe (4.15.0-1030.31~16.04.1) xenial; urgency=medium

  * Miscellaneous Ubuntu changes
    - Packaging: linux-aws-hwe renamed from linux-aws-edge

 -- Kamal Mostafa <kamal@canonical.com>  Mon, 26 Nov 2018 11:01:14 -0800

linux-aws-edge (4.15.0-1029.30~16.04.1) xenial; urgency=medium

  * Miscellaneous Ubuntu changes
    - [Config] linux-aws: enable arm64 build

 -- Kamal Mostafa <kamal@canonical.com>  Mon, 19 Nov 2018 15:43:49 -0800

linux-aws-edge (4.15.0-1028.29~16.04.1) xenial; urgency=medium

  * linux-aws-edge: 4.15.0-1028.29~16.04.1 -proposed tracker (LP: #1804071)

  * Improve AWS hibernation performance (LP: #1803613)
    - SAUCE: [aws] PM / hibernate: Speed up hibernation by batching requests

  * Restore request-based mode to xen-blkfront for AWS kernels (LP: #1801305)
    - SAUCE: xen/manage: keep track of the on-going suspend mode
    - SAUCE: xen/manage: introduce helper function to know the on-going suspend
      mode
    - SAUCE: xenbus: add freeze/thaw/restore callbacks support
    - SAUCE: xen-blkfront: add callbacks for PM suspend and hibernation
    - SAUCE: xen-blkfront: resurrect request-based mode
    - SAUCE: xen-blkfront: Fixed blkfront_restore to remove a call to negotiate_mq

  [ Ubuntu: 4.15.0-42.45 ]

  * linux: 4.15.0-42.45 -proposed tracker (LP: #1803592)
  * [FEAT] Guest-dedicated Crypto Adapters (LP: #1787405)
    - KVM: s390: reset crypto attributes for all vcpus
    - KVM: s390: vsie: simulate VCPU SIE entry/exit
    - KVM: s390: introduce and use KVM_REQ_VSIE_RESTART
    - KVM: s390: refactor crypto initialization
    - s390: vfio-ap: base implementation of VFIO AP device driver
    - s390: vfio-ap: register matrix device with VFIO mdev framework
    - s390: vfio-ap: sysfs interfaces to configure adapters
    - s390: vfio-ap: sysfs interfaces to configure domains
    - s390: vfio-ap: sysfs interfaces to configure control domains
    - s390: vfio-ap: sysfs interface to view matrix mdev matrix
    - KVM: s390: interface to clear CRYCB masks
    - s390: vfio-ap: implement mediated device open callback
    - s390: vfio-ap: implement VFIO_DEVICE_GET_INFO ioctl
    - s390: vfio-ap: zeroize the AP queues
    - s390: vfio-ap: implement VFIO_DEVICE_RESET ioctl
    - KVM: s390: Clear Crypto Control Block when using vSIE
    - KVM: s390: vsie: Do the CRYCB validation first
    - KVM: s390: vsie: Make use of CRYCB FORMAT2 clear
    - KVM: s390: vsie: Allow CRYCB FORMAT-2
    - KVM: s390: vsie: allow CRYCB FORMAT-1
    - KVM: s390: vsie: allow CRYCB FORMAT-0
    - KVM: s390: vsie: allow guest FORMAT-0 CRYCB on host FORMAT-1
    - KVM: s390: vsie: allow guest FORMAT-1 CRYCB on host FORMAT-2
    - KVM: s390: vsie: allow guest FORMAT-0 CRYCB on host FORMAT-2
    - KVM: s390: device attrs to enable/disable AP interpretation
    - KVM: s390: CPU model support for AP virtualization
    - s390: doc: detailed specifications for AP virtualization
    - KVM: s390: fix locking for crypto setting error path
    - KVM: s390: Tracing APCB changes
    - s390: vfio-ap: setup APCB mask using KVM dedicated function
    - s390/zcrypt: Add ZAPQ inline function.
    - s390/zcrypt: Review inline assembler constraints.
    - s390/zcrypt: Integrate ap_asm.h into include/asm/ap.h.
    - s390/zcrypt: fix ap_instructions_available() returncodes
    - s390/zcrypt: remove VLA usage from the AP bus
    - s390/zcrypt: Remove deprecated ioctls.
    - s390/zcrypt: Remove deprecated zcrypt proc interface.
    - s390/zcrypt: Support up to 256 crypto adapters.
    - [Config:] Enable CONFIG_S390_AP_IOMMU and set CONFIG_VFIO_AP to module.
  * Bypass of mount visibility through userns + mount propagation (LP: #1789161)
    - mount: Retest MNT_LOCKED in do_umount
    - mount: Don't allow copying MNT_UNBINDABLE|MNT_LOCKED mounts
  *  CVE-2018-18955: nested user namespaces with more than five extents
    incorrectly grant privileges over inode (LP: #1801924) // CVE-2018-18955
    - userns: also map extents in the reverse map to kernel IDs
  * kdump fail due to an IRQ storm (LP: #1797990)
    - SAUCE: x86/PCI: Export find_cap() to be used in early PCI code
    - SAUCE: x86/quirks: Add parameter to clear MSIs early on boot
    - SAUCE: x86/quirks: Scan all busses for early PCI quirks

  [ Ubuntu: 4.15.0-40.43 ]

  * linux: 4.15.0-40.43 -proposed tracker (LP: #1802554)
  * crash in ENA driver on removing an interface (LP: #1802341)
    - SAUCE: net: ena: fix crash during ena_remove()
  * Ubuntu 18.04.1 - [s390x] Kernel panic while stressing network bonding
    (LP: #1797367)
    - s390/qeth: don't keep track of MAC address's cast type
    - s390/qeth: consolidate qeth MAC address helpers
    - s390/qeth: avoid using is_multicast_ether_addr_64bits on (u8 *)[6]
    - s390/qeth: remove outdated portname debug msg
    - s390/qeth: reduce hard-coded access to ccw channels
    - s390/qeth: sanitize strings in debug messages
  * [18.04 FEAT] zcrypt DD: introduce APQN tags to support deterministic driver
    binding (LP: #1799184)
    - s390/zcrypt: code beautify
    - s390/zcrypt: AP bus support for alternate driver(s)
    - s390/zcrypt: hex string mask improvements for apmask and aqmask.
    - s390/zcrypt: remove unused functions and declarations
    - s390/zcrypt: Show load of cards and queues in sysfs
  * [GLK/CLX] Enhanced IBRS (LP: #1786139)
    - x86/speculation: Remove SPECTRE_V2_IBRS in enum spectre_v2_mitigation
    - x86/speculation: Support Enhanced IBRS on future CPUs
  * Allow signed kernels to be kexec'ed under lockdown (LP: #1798441)
    - Fix kexec forbidding kernels signed with keys in the secondary keyring to
      boot
  * Overlayfs in user namespace leaks directory content of inaccessible
    directories (LP: #1793458) // CVE-2018-6559
    - SAUCE: overlayfs: ensure mounter privileges when reading directories
  * Update ENA driver to version 2.0.1K (LP: #1798182)
    - net: ena: remove ndo_poll_controller
    - net: ena: fix warning in rmmod caused by double iounmap
    - net: ena: fix rare bug when failed restart/resume is followed by driver
      removal
    - net: ena: fix NULL dereference due to untimely napi initialization
    - net: ena: fix auto casting to boolean
    - net: ena: minor performance improvement
    - net: ena: complete host info to match latest ENA spec
    - net: ena: introduce Low Latency Queues data structures according to ENA spec
    - net: ena: add functions for handling Low Latency Queues in ena_com
    - net: ena: add functions for handling Low Latency Queues in ena_netdev
    - net: ena: use CSUM_CHECKED device indication to report skb's checksum status
    - net: ena: explicit casting and initialization, and clearer error handling
    - net: ena: limit refill Rx threshold to 256 to avoid latency issues
    - net: ena: change rx copybreak default to reduce kernel memory pressure
    - net: ena: remove redundant parameter in ena_com_admin_init()
    - net: ena: update driver version to 2.0.1
    - net: ena: fix indentations in ena_defs for better readability
    - net: ena: Fix Kconfig dependency on X86
    - net: ena: enable Low Latency Queues
    - net: ena: fix compilation error in xtensa architecture
  * Bionic update: upstream stable patchset 2018-10-29 (LP: #1800537)
    - bonding: re-evaluate force_primary when the primary slave name changes
    - cdc_ncm: avoid padding beyond end of skb
    - ipv6: allow PMTU exceptions to local routes
    - net: dsa: add error handling for pskb_trim_rcsum
    - net/sched: act_simple: fix parsing of TCA_DEF_DATA
    - tcp: verify the checksum of the first data segment in a new connection
    - udp: fix rx queue len reported by diag and proc interface
    - net: in virtio_net_hdr only add VLAN_HLEN to csum_start if payload holds
      vlan
    - tls: fix use-after-free in tls_push_record
    - ext4: fix hole length detection in ext4_ind_map_blocks()
    - ext4: update mtime in ext4_punch_hole even if no blocks are released
    - ext4: bubble errors from ext4_find_inline_data_nolock() up to ext4_iget()
    - ext4: fix fencepost error in check for inode count overflow during resize
    - driver core: Don't ignore class_dir_create_and_add() failure.
    - Btrfs: fix clone vs chattr NODATASUM race
    - Btrfs: fix memory and mount leak in btrfs_ioctl_rm_dev_v2()
    - btrfs: return error value if create_io_em failed in cow_file_range
    - btrfs: scrub: Don't use inode pages for device replace
    - ALSA: hda/conexant - Add fixup for HP Z2 G4 workstation
    - ALSA: hda - Handle kzalloc() failure in snd_hda_attach_pcm_stream()
    - ALSA: hda: add dock and led support for HP EliteBook 830 G5
    - ALSA: hda: add dock and led support for HP ProBook 640 G4
    - x86/MCE: Fix stack out-of-bounds write in mce-inject.c: Flags_read()
    - smb3: fix various xid leaks
    - CIFS: 511c54a2f69195b28afb9dd119f03787b1625bb4 adds a check for session
      expiry
    - cifs: For SMB2 security informaion query, check for minimum sized security
      descriptor instead of sizeof FileAllInformation class
    - nbd: fix nbd device deletion
    - nbd: update size when connected
    - nbd: use bd_set_size when updating disk size
    - blk-mq: reinit q->tag_set_list entry only after grace period
    - bdi: Move cgroup bdi_writeback to a dedicated low concurrency workqueue
    - cpufreq: Fix new policy initialization during limits updates via sysfs
    - cpufreq: governors: Fix long idle detection logic in load calculation
    - libata: zpodd: small read overflow in eject_tray()
    - libata: Drop SanDisk SD7UB3Q*G1001 NOLPM quirk
    - w1: mxc_w1: Enable clock before calling clk_get_rate() on it
    - x86/intel_rdt: Enable CMT and MBM on new Skylake stepping
    - iwlwifi: fw: harden page loading code
    - orangefs: set i_size on new symlink
    - orangefs: report attributes_mask and attributes for statx
    - HID: intel_ish-hid: ipc: register more pm callbacks to support hibernation
    - HID: wacom: Correct logical maximum Y for 2nd-gen Intuos Pro large
    - mm, page_alloc: do not break __GFP_THISNODE by zonelist reset
    - net: phy: dp83822: use BMCR_ANENABLE instead of BMSR_ANEGCAPABLE for DP83620
    - cpufreq: ti-cpufreq: Fix an incorrect error return value
    - x86/vector: Fix the args of vector_alloc tracepoint
    - x86/apic/vector: Prevent hlist corruption and leaks
    - x86/apic: Provide apic_ack_irq()
    - x86/ioapic: Use apic_ack_irq()
    - x86/platform/uv: Use apic_ack_irq()
    - irq_remapping: Use apic_ack_irq()
    - genirq/generic_pending: Do not lose pending affinity update
    - genirq/affinity: Defer affinity setting if irq chip is busy
    - genirq/migration: Avoid out of line call if pending is not set
  * [bionic]mlx5: reading SW stats through ifstat cause kernel crash
    (LP: #1799049)
    - net/mlx5e: Don't attempt to dereference the ppriv struct if not being
      eswitch manager
  * [Bionic][Cosmic]  ipmi: Fix timer race with module unload (LP: #1799281)
    - ipmi: Fix timer race with module unload
  * [Bionic] ipmi: Remove ACPI SPMI probing from the SSIF (I2C) driver
    (LP: #1799276)
    - ipmi: Remove ACPI SPMI probing from the SSIF (I2C) driver
  * execveat03 in ubuntu_ltp_syscalls failed on X/B (LP: #1786729)
    - cap_inode_getsecurity: use d_find_any_alias() instead of d_find_alias()
  * [Bionic][Cosmic] Fix to ipmi to support vendor specific messages greater
    than 255 bytes (LP: #1799794)
    - ipmi:ssif: Add support for multi-part transmit messages > 2 parts
  * libvirtd is unable to configure bridge devices inside of LXD containers
    (LP: #1784501)
    - kernfs: allow creating kernfs objects with arbitrary uid/gid
    - sysfs, kobject: allow creating kobject belonging to arbitrary users
    - kobject: kset_create_and_add() - fetch ownership info from parent
    - driver core: set up ownership of class devices in sysfs
    - net-sysfs: require net admin in the init ns for setting tx_maxrate
    - net-sysfs: make sure objects belong to container's owner
    - net: create reusable function for getting ownership info of sysfs inodes
    - bridge: make sure objects belong to container's owner
    - sysfs: Fix regression when adding a file to an existing group
  * [Ubuntu] kvm: fix deadlock when killed by oom (LP: #1800849)
    - s390/kvm: fix deadlock when killed by oom
  * [Ubuntu] net/af_iucv: fix skb leaks for HiperTransport (LP: #1800639)
    - net/af_iucv: drop inbound packets with invalid flags
    - net/af_iucv: fix skb handling on HiperTransport xmit error
  * Power consumption during s2idle is higher than long idle(sk hynix)
    (LP: #1801875)
    - SAUCE: pci: prevent sk hynix nvme from entering D3
    - SAUCE: nvme: add quirk to not call disable function when suspending
  * Enable keyboard wakeup for S2Idle laptops (LP: #1798552)
    - Input: i8042 - enable keyboard wakeups by default when s2idle is used
  * NULL pointer dereference at 0000000000000020 when access
    dst_orig->ops->family in function  xfrm_lookup_with_ifid() (LP: #1801878)
    - xfrm: Fix NULL pointer dereference when skb_dst_force clears the dst_entry.
  * [Ubuntu] qdio: reset old sbal_state flags (LP: #1801686)
    - s390/qdio: reset old sbal_state flags
  * hns3: map tx ring to tc (LP: #1802023)
    - net: hns3: Set tx ring' tc info when netdev is up
  * [Ubuntu] qeth: Fix potential array overrun in cmd/rc lookup (LP: #1800641)
    - s390: qeth_core_mpc: Use ARRAY_SIZE instead of reimplementing its function
    - s390: qeth: Fix potential array overrun in cmd/rc lookup
  * Vulkan applications cause permanent memory leak with Intel GPU
    (LP: #1798165)
    - drm/syncobj: Don't leak fences when WAIT_FOR_SUBMIT is set
  * Mounting SOFS SMB shares fails (LP: #1792580)
    - cifs: connect to servername instead of IP for IPC$ share
  * Packaging resync (LP: #1786013)
    - [Package] add support for specifying the primary makefile

 -- Kamal Mostafa <kamal@canonical.com>  Mon, 19 Nov 2018 14:59:23 -0800

linux-aws (4.15.0-1027.27) bionic; urgency=medium

  * linux-aws: 4.15.0-1027.27 -proposed tracker (LP: #1801116)

  * Update ENA driver to version 2.0.1K (LP: #1798182)
    - net: ena: remove ndo_poll_controller
    - net: ena: fix warning in rmmod caused by double iounmap
    - net: ena: fix rare bug when failed restart/resume is followed by driver
      removal
    - net: ena: fix NULL dereference due to untimely napi initialization
    - net: ena: fix auto casting to boolean
    - net: ena: minor performance improvement
    - net: ena: complete host info to match latest ENA spec
    - net: ena: introduce Low Latency Queues data structures according to ENA spec
    - net: ena: add functions for handling Low Latency Queues in ena_com
    - net: ena: add functions for handling Low Latency Queues in ena_netdev
    - net: ena: use CSUM_CHECKED device indication to report skb's checksum status
    - net: ena: explicit casting and initialization, and clearer error handling
    - net: ena: limit refill Rx threshold to 256 to avoid latency issues
    - net: ena: change rx copybreak default to reduce kernel memory pressure
    - net: ena: remove redundant parameter in ena_com_admin_init()
    - net: ena: update driver version to 2.0.1
    - net: ena: fix indentations in ena_defs for better readability
    - net: ena: Fix Kconfig dependency on X86
    - net: ena: enable Low Latency Queues
    - net: ena: fix compilation error in xtensa architecture

 -- Khalid Elmously <khalid.elmously@canonical.com>  Thu, 01 Nov 2018 23:21:09 +0000

linux-aws (4.15.0-1026.26) bionic; urgency=medium

  * linux-aws: 4.15.0-1026.26 -proposed tracker (LP: #1799414)

  * Linux: insufficient shootdown for paging-structure caches (LP: #1798897)
    - [Config] CONFIG_HAVE_RCU_TABLE_INVALIDATE=y

  [ Ubuntu: 4.15.0-39.42 ]

  * linux: 4.15.0-39.42 -proposed tracker (LP: #1799411)
  * Linux: insufficient shootdown for paging-structure caches (LP: #1798897)
    - mm: move tlb_table_flush to tlb_flush_mmu_free
    - mm/tlb: Remove tlb_remove_table() non-concurrent condition
    - mm/tlb, x86/mm: Support invalidating TLB caches for RCU_TABLE_FREE
    - [Config] CONFIG_HAVE_RCU_TABLE_INVALIDATE=y
  * Ubuntu18.04: GPU total memory is reduced (LP: #1792102)
    - Revert "powerpc/powernv: Increase memory block size to 1GB on radix"
  * arm64: snapdragon: reduce boot noise (LP: #1797154)
    - [Config] arm64: snapdragon: DRM_MSM=m
    - [Config] arm64: snapdragon: SND*=m
    - [Config] arm64: snapdragon: disable ARM_SDE_INTERFACE
    - [Config] arm64: snapdragon: disable DRM_I2C_ADV7511_CEC
    - [Config] arm64: snapdragon: disable VIDEO_ADV7511, VIDEO_COBALT
  * [Bionic] CPPC bug fixes (LP: #1796949)
    - ACPI / CPPC: Update all pr_(debug/err) messages to log the susbspace id
    - cpufreq: CPPC: Don't set transition_latency
    - ACPI / CPPC: Fix invalid PCC channel status errors
  * regression in 'ip --family bridge neigh' since linux v4.12 (LP: #1796748)
    - rtnetlink: fix rtnl_fdb_dump() for ndmsg header
  * screen displays abnormally on the lenovo M715 with the AMD GPU (Radeon Vega
    8 Mobile, rev ca, 1002:15dd) (LP: #1796786)
    - drm/amd/display: Fix takover from VGA mode
    - drm/amd/display: early return if not in vga mode in disable_vga
    - drm/amd/display: Refine disable VGA
  * arm64: snapdragon: WARNING: CPU: 0 PID: 1 arch/arm64/kernel/setup.c:271
    reserve_memblock_reserved_regions (LP: #1797139)
    - SAUCE: arm64: Fix /proc/iomem for reserved but not memory regions
  * The front MIC can't work on the Lenovo M715 (LP: #1797292)
    - ALSA: hda/realtek - Fix the problem of the front MIC on the Lenovo M715
  * Keyboard backlight sysfs sometimes is missing on Dell laptops (LP: #1797304)
    - platform/x86: dell-smbios: Correct some style warnings
    - platform/x86: dell-smbios: Rename dell-smbios source to dell-smbios-base
    - platform/x86: dell-smbios: Link all dell-smbios-* modules together
    - [Config] CONFIG_DELL_SMBIOS_SMM=y, CONFIG_DELL_SMBIOS_WMI=y
  * rpi3b+: ethernet not working (LP: #1797406)
    - lan78xx: Don't reset the interface on open
  * 87cdf3148b11 was never backported to 4.15  (LP: #1795653)
    - xfrm: Verify MAC header exists before overwriting eth_hdr(skb)->h_proto
  * [Ubuntu18.04][Power9][DD2.2]package installation segfaults inside debian
    chroot env in P9 KVM guest with HTM enabled (kvm) (LP: #1792501)
    - KVM: PPC: Book3S HV: Fix guest r11 corruption with POWER9 TM workarounds
  * Provide mode where all vCPUs on a core must be the same VM (LP: #1792957)
    - KVM: PPC: Book3S HV: Provide mode where all vCPUs on a core must be the same
      VM
  * fscache: bad refcounting in fscache_op_complete leads to OOPS (LP: #1797314)
    - SAUCE: fscache: Fix race in decrementing refcount of op->npages
  * CVE-2018-9363
    - Bluetooth: hidp: buffer overflow in hidp_process_report
  * CVE-2017-13168
    - scsi: sg: mitigate read/write abuse
  * [Bionic] ACPI / PPTT: use ACPI ID whenever ACPI_PPTT_ACPI_PROCESSOR_ID_VALID
    is set (LP: #1797200)
    - ACPI / PPTT: use ACPI ID whenever ACPI_PPTT_ACPI_PROCESSOR_ID_VALID is set
  * [Bionic] arm64: topology: Avoid checking numa mask for scheduler MC
    selection (LP: #1797202)
    - arm64: topology: Avoid checking numa mask for scheduler MC selection
  * crypto/vmx - Backport of Fix sleep-in-atomic bugs patch for 18.04
    (LP: #1790832)
    - crypto: vmx - Fix sleep-in-atomic bugs
  * hns3: autoneg settings get lost on down/up (LP: #1797654)
    - net: hns3: Fix for information of phydev lost problem when down/up
  * not able to unwind the stack from within __kernel_clock_gettime in the Linux
    vDSO (LP: #1797963)
    - powerpc/vdso: Correct call frame information
  * Signal 7 error when running GPFS tracing in cluster (LP: #1792195)
    - powerpc/mm/books3s: Add new pte bit to mark pte temporarily invalid.
    - powerpc/mm/radix: Only need the Nest MMU workaround for R -> RW transition
  * Support Edge Gateway's WIFI LED (LP: #1798330)
    - SAUCE: mwifiex: Switch WiFi LED state according to the device status
  * Support Edge Gateway's Bluetooth LED (LP: #1798332)
    - SAUCE: Bluetooth: Support for LED on Edge Gateways
  * USB cardreader (0bda:0328) make the system can't enter s3 or hang
    (LP: #1798328)
    - usb: Don't disable Latency tolerance Messaging (LTM) before port reset
  * CVE-2018-15471
    - xen-netback: fix input validation in xenvif_set_hash_mapping()
  * CVE-2018-16658
    - cdrom: Fix info leak/OOB read in cdrom_ioctl_drive_status
  * [Bionic] Update ThunderX2 implementation defined pmu core events
    (LP: #1796904)
    - perf vendor events arm64: Update ThunderX2 implementation defined pmu core
      events
  * the machine of lenovo M715 with the AMD GPU (Radeon Vega 8 Mobile, rev ca,
    1002:15dd) often hangs randomly (LP: #1796789)
    - drm/amd: Add missing fields in atom_integrated_system_info_v1_11
  * [18.04] GLK hang after a while (LP: #1760545)
    - drm/i915/glk: Add MODULE_FIRMWARE for Geminilake
  * Fix usbcore.quirks when used at boot (LP: #1795784)
    - usb: core: safely deal with the dynamic quirk lists

 -- Kleber Sacilotto de Souza <kleber.souza@canonical.com>  Wed, 24 Oct 2018 12:53:36 +0000

linux-aws (4.15.0-1025.25) bionic; urgency=medium

  * linux-aws: 4.15.0-1025.25 -proposed tracker (LP: #1797066)

  [ Ubuntu: 4.15.0-38.41 ]

  * linux: 4.15.0-38.41 -proposed tracker (LP: #1797061)
  * Silent data corruption in Linux kernel 4.15 (LP: #1796542)
    - block: add a lower-level bio_add_page interface
    - block: bio_iov_iter_get_pages: fix size of last iovec
    - blkdev: __blkdev_direct_IO_simple: fix leak in error case
    - block: bio_iov_iter_get_pages: pin more pages for multi-segment IOs

 -- Kleber Sacilotto de Souza <kleber.souza@canonical.com>  Wed, 10 Oct 2018 13:28:48 +0000

linux-aws (4.15.0-1024.24) bionic; urgency=medium

  * linux-aws: 4.15.0-1024.24 -proposed tracker (LP: #1795567)

  * Dell new AIO requires a new uart backlight driver (LP: #1727235)
    - [Config] Unset CONFIG_DELL_UART_BACKLIGHT

  * kyber-iosched module missing from linux-modules package (LP: #1794175)
    - [config] AWS: kyber-iosched.ko moved to linux-modules package

  [ Ubuntu: 4.15.0-37.40 ]

  * linux: 4.15.0-37.40 -proposed tracker (LP: #1795564)
  * hns3: enable ethtool rx-vlan-filter on supported hw (LP: #1793394)
    - net: hns3: Add vlan filter setting by ethtool command -K
  * hns3: Modifying channel parameters will reset ring parameters back to
    defaults (LP: #1793404)
    - net: hns3: Fix desc num set to default when setting channel
  * hisi_sas: Add SATA FIX check for v3 hw (LP: #1794151)
    - scsi: hisi_sas: Add SATA FIS check for v3 hw
  * Fix potential corruption using SAS controller on HiSilicon arm64 boards
    (LP: #1794156)
    - scsi: hisi_sas: add memory barrier in task delivery function
  * hisi_sas: Reduce unnecessary spin lock contention (LP: #1794165)
    - scsi: hisi_sas: Tidy hisi_sas_task_prep()
  * Add functional level reset support for the SAS controller on HiSilicon D06
    systems (LP: #1794166)
    - scsi: hisi_sas: tidy host controller reset function a bit
    - scsi: hisi_sas: relocate some common code for v3 hw
    - scsi: hisi_sas: Implement handlers of PCIe FLR for v3 hw
  * HiSilicon SAS controller doesn't recover from PHY STP link timeout
    (LP: #1794172)
    - scsi: hisi_sas: tidy channel interrupt handler for v3 hw
    - scsi: hisi_sas: Fix the failure of recovering PHY from STP link timeout
  * getxattr: always handle namespaced attributes (LP: #1789746)
    - getxattr: use correct xattr length
  * Fix unusable NVIDIA GPU after S3 (LP: #1793338)
    - PCI: Reprogram bridge prefetch registers on resume
  * Fails to boot under Xen PV: BUG: unable to handle kernel paging request at
    edc21fd9 (LP: #1789118)
    - x86/EISA: Don't probe EISA bus for Xen PV guests
  * qeth: use vzalloc for QUERY OAT buffer (LP: #1793086)
    - s390/qeth: use vzalloc for QUERY OAT buffer
  * SRU: Enable middle button of touchpad on ThinkPad P72 (LP: #1793463)
    - Input: elantech - enable middle button of touchpad on ThinkPad P72
  * Dell new AIO requires a new uart backlight driver (LP: #1727235)
    - SAUCE: platform/x86: dell-uart-backlight: new backlight driver for DELL AIO
    - updateconfigs for Dell UART backlight driver
  * [Ubuntu] s390/crypto: Fix return code checking in cbc_paes_crypt.
    (LP: #1794294)
    - s390/crypto: Fix return code checking in cbc_paes_crypt()
  * hns3: Retrieve RoCE MSI-X config from firmware (LP: #1793221)
    - net: hns3: Fix MSIX allocation issue for VF
    - net: hns3: Refine the MSIX allocation for PF
  * net: hns: Avoid hang when link is changed while handling packets
    (LP: #1792209)
    - net: hns: add the code for cleaning pkt in chip
    - net: hns: add netif_carrier_off before change speed and duplex
  * Page leaking in cachefiles_read_backing_file while vmscan is active
    (LP: #1793430)
    - SAUCE: cachefiles: Page leaking in cachefiles_read_backing_file while vmscan
      is active
  * some nvidia p1000 graphic cards hang during the boot (LP: #1791569)
    - drm/nouveau/gr/gf100-: virtualise tpc_mask + apply fixes from traces
  * Error reported when creating ZFS pool with "-t" option, despite successful
    pool creation (LP: #1769937)
    - SAUCE: (noup) Update zfs to 0.7.5-1ubuntu16.4
  * Fix I2C touchpanels' interrupt storms after system suspend (LP: #1792309)
    - HID: i2c-hid: Fix flooded incomplete report after S3 on Rayd touchscreen
    - HID: i2c-hid: Don't reset device upon system resume
  * ipmmu is always registered (LP: #1783746)
    - iommu/ipmmu-vmsa: Don't register as BUS IOMMU if machine doesn't have IPMMU-
      VMSA
  * Bionic update: upstream stable patchset 2018-09-27 (LP: #1794889)
    - clocksource/drivers/imx-tpm: Correct some registers operation flow
    - Input: synaptics-rmi4 - fix an unchecked out of memory error path
    - KVM: X86: fix incorrect reference of trace_kvm_pi_irte_update
    - x86: Add check for APIC access address for vmentry of L2 guests
    - MIPS: io: Prevent compiler reordering writeX()
    - nfp: ignore signals when communicating with management FW
    - perf report: Fix switching to another perf.data file
    - fsnotify: fix ignore mask logic in send_to_group()
    - MIPS: io: Add barrier after register read in readX()
    - s390/smsgiucv: disable SMSG on module unload
    - isofs: fix potential memory leak in mount option parsing
    - MIPS: dts: Boston: Fix PCI bus dtc warnings:
    - spi: sh-msiof: Fix bit field overflow writes to TSCR/RSCR
    - doc: Add vendor prefix for Kieback & Peter GmbH
    - dt-bindings: pinctrl: sunxi: Fix reference to driver
    - dt-bindings: serial: sh-sci: Add support for r8a77965 (H)SCIF
    - dt-bindings: dmaengine: rcar-dmac: document R8A77965 support
    - clk: honor CLK_MUX_ROUND_CLOSEST in generic clk mux
    - ASoC: rt5514: Add the missing register in the readable table
    - eCryptfs: don't pass up plaintext names when using filename encryption
    - soc: bcm: raspberrypi-power: Fix use of __packed
    - soc: bcm2835: Make !RASPBERRYPI_FIRMWARE dummies return failure
    - PCI: kirin: Fix reset gpio name
    - ASoC: topology: Fix bugs of freeing soc topology
    - xen: xenbus_dev_frontend: Really return response string
    - ASoC: topology: Check widget kcontrols before deref.
    - spi: cadence: Add usleep_range() for cdns_spi_fill_tx_fifo()
    - blkcg: don't hold blkcg lock when deactivating policy
    - tipc: fix infinite loop when dumping link monitor summary
    - scsi: iscsi: respond to netlink with unicast when appropriate
    - scsi: megaraid_sas: Do not log an error if FW successfully initializes.
    - scsi: target: fix crash with iscsi target and dvd
    - netfilter: nf_tables: NAT chain and extensions require NF_TABLES
    - netfilter: nf_tables: fix out-of-bounds in nft_chain_commit_update
    - ASoC: msm8916-wcd-analog: use threaded context for mbhc events
    - drm/msm: Fix possible null dereference on failure of get_pages()
    - drm/msm/dsi: use correct enum in dsi_get_cmd_fmt
    - drm/msm: don't deref error pointer in the msm_fbdev_create error path
    - blkcg: init root blkcg_gq under lock
    - vfs: Undo an overly zealous MS_RDONLY -> SB_RDONLY conversion
    - parisc: time: Convert read_persistent_clock() to read_persistent_clock64()
    - scsi: storvsc: Set up correct queue depth values for IDE devices
    - scsi: isci: Fix infinite loop in while loop
    - mm, pagemap: fix swap offset value for PMD migration entry
    - proc: revalidate kernel thread inodes to root:root
    - kexec_file: do not add extra alignment to efi memmap
    - mm: memcg: add __GFP_NOWARN in __memcg_schedule_kmem_cache_create()
    - usb: typec: ucsi: fix tracepoint related build error
    - ACPI / PM: Blacklist Low Power S0 Idle _DSM for ThinkPad X1 Tablet(2016)
    - dt-bindings: meson-uart: DT fix s/clocks-names/clock-names/
    - net: phy: marvell: clear wol event before setting it
    - ARM: dts: da850: fix W=1 warnings with pinmux node
    - ACPI / watchdog: Prefer iTCO_wdt on Lenovo Z50-70
    - drm/amdkfd: fix clock counter retrieval for node without GPU
    - thermal: int3403_thermal: Fix NULL pointer deref on module load / probe
    - net: ethtool: Add missing kernel doc for FEC parameters
    - arm64: ptrace: remove addr_limit manipulation
    - HID: lenovo: Add support for IBM/Lenovo Scrollpoint mice
    - HID: wacom: Release device resource data obtained by devres_alloc()
    - selftests: ftrace: Add a testcase for multiple actions on trigger
    - rds: ib: Fix missing call to rds_ib_dev_put in rds_ib_setup_qp
    - perf/x86/intel: Don't enable freeze-on-smi for PerfMon V1
    - remoteproc: qcom: Fix potential device node leaks
    - rpmsg: added MODULE_ALIAS for rpmsg_char
    - HID: intel-ish-hid: use put_device() instead of kfree()
    - blk-mq: fix sysfs inflight counter
    - arm64: fix possible spectre-v1 in ptrace_hbp_get_event()
    - KVM: arm/arm64: vgic: fix possible spectre-v1 in vgic_mmio_read_apr()
    - libahci: Allow drivers to override stop_engine
    - ata: ahci: mvebu: override ahci_stop_engine for mvebu AHCI
    - x86/cpu/intel: Add missing TLB cpuid values
    - bpf: fix uninitialized variable in bpf tools
    - i2c: sprd: Prevent i2c accesses after suspend is called
    - i2c: sprd: Fix the i2c count issue
    - tipc: fix bug in function tipc_nl_node_dump_monitor
    - nvme: depend on INFINIBAND_ADDR_TRANS
    - nvmet-rdma: depend on INFINIBAND_ADDR_TRANS
    - ib_srpt: depend on INFINIBAND_ADDR_TRANS
    - ib_srp: depend on INFINIBAND_ADDR_TRANS
    - IB: make INFINIBAND_ADDR_TRANS configurable
    - IB/uverbs: Fix validating mandatory attributes
    - RDMA/cma: Fix use after destroy access to net namespace for IPoIB
    - RDMA/iwpm: fix memory leak on map_info
    - IB/rxe: add RXE_START_MASK for rxe_opcode IB_OPCODE_RC_SEND_ONLY_INV
    - IB/rxe: avoid double kfree_skb
    - <linux/stringhash.h>: fix end_name_hash() for 64bit long
    - IB/core: Make ib_mad_client_id atomic
    - ARM: davinci: board-da830-evm: fix GPIO lookup for MMC/SD
    - ARM: davinci: board-da850-evm: fix GPIO lookup for MMC/SD
    - ARM: davinci: board-omapl138-hawk: fix GPIO numbers for MMC/SD lookup
    - ARM: davinci: board-dm355-evm: fix broken networking
    - dt-bindings: panel: lvds: Fix path to display timing bindings
    - ARM: OMAP2+: powerdomain: use raw_smp_processor_id() for trace
    - ARM: dts: logicpd-som-lv: Fix WL127x Startup Issues
    - ARM: dts: logicpd-som-lv: Fix Audio Mute
    - Input: atmel_mxt_ts - fix the firmware update
    - hexagon: add memset_io() helper
    - hexagon: export csum_partial_copy_nocheck
    - scsi: vmw-pvscsi: return DID_BUS_BUSY for adapter-initated aborts
    - bpf, x64: fix memleak when not converging after image
    - parisc: drivers.c: Fix section mismatches
    - stop_machine, sched: Fix migrate_swap() vs. active_balance() deadlock
    - kthread, sched/wait: Fix kthread_parkme() wait-loop
    - arm64: tegra: Make BCM89610 PHY interrupt as active low
    - iommu/vt-d: fix shift-out-of-bounds in bug checking
    - nvme: fix potential memory leak in option parsing
    - nvme: Set integrity flag for user passthrough commands
    - ARM: OMAP1: ams-delta: fix deferred_fiq handler
    - smc: fix sendpage() call
    - IB/hfi1 Use correct type for num_user_context
    - IB/hfi1: Fix memory leak in exception path in get_irq_affinity()
    - RDMA/cma: Do not query GID during QP state transition to RTR
    - spi: bcm2835aux: ensure interrupts are enabled for shared handler
    - sched/core: Introduce set_special_state()
    - sh: fix build failure for J2 cpu with SMP disabled
    - tee: check shm references are consistent in offset/size
    - mac80211: Adjust SAE authentication timeout
    - drm/omap: silence unititialized variable warning
    - drm/omap: fix uninitialized ret variable
    - drm/omap: fix possible NULL ref issue in tiler_reserve_2d
    - drm/omap: check return value from soc_device_match
    - drm/omap: handle alloc failures in omap_connector
    - driver core: add __printf verification to __ata_ehi_pushv_desc
    - ARM: dts: cygnus: fix irq type for arm global timer
    - mac80211: use timeout from the AddBA response instead of the request
    - net: aquantia: driver should correctly declare vlan_features bits
    - can: dev: increase bus-off message severity
    - arm64: Add MIDR encoding for NVIDIA CPUs
    - cifs: smb2ops: Fix listxattr() when there are no EAs
    - agp: uninorth: make two functions static
    - tipc: eliminate KMSAN uninit-value in strcmp complaint
    - qed: Fix l2 initializations over iWARP personality
    - qede: Fix gfp flags sent to rdma event node allocation
    - rxrpc: Fix error reception on AF_INET6 sockets
    - rxrpc: Fix the min security level for kernel calls
    - KVM: Extend MAX_IRQ_ROUTES to 4096 for all archs
    - x86: Delay skip of emulated hypercall instruction
    - ixgbe: return error on unsupported SFP module when resetting
    - net sched actions: fix invalid pointer dereferencing if skbedit flags
      missing
    - proc/kcore: don't bounds check against address 0
    - ocfs2: take inode cluster lock before moving reflinked inode from orphan dir
    - kprobes/x86: Prohibit probing on exception masking instructions
    - uprobes/x86: Prohibit probing on MOV SS instruction
    - objtool, kprobes/x86: Sync the latest <asm/insn.h> header with
      tools/objtool/arch/x86/include/asm/insn.h
    - x86/pkeys/selftests: Adjust the self-test to fresh distros that export the
      pkeys ABI
    - x86/mpx/selftests: Adjust the self-test to fresh distros that export the MPX
      ABI
    - x86/selftests: Add mov_to_ss test
    - x86/pkeys/selftests: Give better unexpected fault error messages
    - x86/pkeys/selftests: Stop using assert()
    - x86/pkeys/selftests: Remove dead debugging code, fix dprint_in_signal
    - x86/pkeys/selftests: Allow faults on unknown keys
    - x86/pkeys/selftests: Factor out "instruction page"
    - x86/pkeys/selftests: Add PROT_EXEC test
    - x86/pkeys/selftests: Fix pkey exhaustion test off-by-one
    - x86/pkeys/selftests: Fix pointer math
    - x86/pkeys/selftests: Save off 'prot' for allocations
    - x86/pkeys/selftests: Add a test for pkey 0
    - mtd: Fix comparison in map_word_andequal()
    - afs: Fix the non-encryption of calls
    - usb: musb: fix remote wakeup racing with suspend
    - ARM: keystone: fix platform_domain_notifier array overrun
    - i2c: pmcmsp: return message count on master_xfer success
    - i2c: pmcmsp: fix error return from master_xfer
    - i2c: viperboard: return message count on master_xfer success
    - ARM: davinci: dm646x: fix timer interrupt generation
    - ARM: davinci: board-dm646x-evm: pass correct I2C adapter id for VPIF
    - ARM: davinci: board-dm646x-evm: set VPIF capture card name
    - clk: imx6ull: use OSC clock during AXI rate change
    - locking/rwsem: Add a new RWSEM_ANONYMOUSLY_OWNED flag
    - locking/percpu-rwsem: Annotate rwsem ownership transfer by setting
      RWSEM_OWNER_UNKNOWN
    - drm/dumb-buffers: Integer overflow in drm_mode_create_ioctl()
    - sched/debug: Move the print_rt_rq() and print_dl_rq() declarations to
      kernel/sched/sched.h
    - sched/deadline: Make the grub_reclaim() function static
    - parisc: Move setup_profiling_timer() out of init section
    - efi/libstub/arm64: Handle randomized TEXT_OFFSET
    - ARM: 8753/1: decompressor: add a missing parameter to the addruart macro
    - ARM: 8758/1: decompressor: restore r1 and r2 just before jumping to the
      kernel
    - ARM: kexec: fix kdump register saving on panic()
    - Revert "Btrfs: fix scrub to repair raid6 corruption"
    - Btrfs: fix scrub to repair raid6 corruption
    - Btrfs: make raid6 rebuild retry more
    - tcp: do not overshoot window_clamp in tcp_rcv_space_adjust()
    - ibmvnic: Do not notify peers on parameter change resets
    - dt-bindings: net: ravb: Add support for r8a77965 SoC
    - X86/KVM: Properly update 'tsc_offset' to represent the running guest
    - kvm: x86: move MSR_IA32_TSC handling to x86.c
    - ARM: dts: Fix cm2 and prm sizes for omap4
    - powerpc/64s: Default l1d_size to 64K in RFI fallback flush
    - KVM: arm/arm64: vgic: Kick new VCPU on interrupt migration
    - arm64: kasan: avoid pfn_to_nid() before page array is initialized
    - ARM64: dts: meson-gxl: add USB host support
    - ARM64: dts: meson-gxm: add GXM specific USB host configuration
    - ARM64: dts: meson-gxl-s905x-p212: enable the USB controller
    - ARM64: dts: meson-gx-p23x-q20x: enable the USB controller
    - ARM64: dts: meson-gxl-s905x-libretech-cc: enable the USB controller
    - ARM64: dts: meson-gxl-nexbox-a95x: enable the USB controller
    - ARM64: dts: meson-gxm-khadas-vim2: enable the USB controller
    - arm64: dts: correct SATA addresses for Stingray
    - afs: Fix server record deletion
    - proc: fix /proc/loadavg regression
    - s390/qeth: fix request-side race during cmd IO timeout
    - ACPI / scan: Initialize watchdog before PNP
    - CIFS: set *resp_buf_type to NO_BUFFER on error
    - arm64: dts: uniphier: fix input delay value for legacy mode of eMMC
    - igb: Fix the transmission mode of queue 0 for Qav mode
    - RISC-V: build vdso-dummy.o with -no-pie
    - arm64: only advance singlestep for user instruction traps
    - perf pmu: Fix core PMU alias list for X86 platform
    - bpf, x64: fix JIT emission for dead code
    - powerpc/kvm/booke: Fix altivec related build break
    - reset: uniphier: fix USB clock line for LD20
    - nfp: don't depend on eth_tbl being available
    - net: mvpp2: Fix clk error path in mvpp2_probe
    - kvm: apic: Flush TLB after APIC mode/address change if VPIDs are in use
    - IB/uverbs: Fix validating mandatory attributes
    - RDMA/hns: Intercept illegal RDMA operation when use inline data
    - pinctrl: cherryview: Associate IRQ descriptors to irqdomain
    - kthread, sched/wait: Fix kthread_parkme() completion issue
    - iommu/vt-d: Fix usage of force parameter in intel_ir_reconfigure_irte()
    - nvme/multipath: Disable runtime writable enabling parameter
    - ARM: dts: correct missing "compatible" entry for ti81xx SoCs
    - usb: typec: tps6598x: handle block reads separately with plain-I2C adapters
    - IB/mlx4: Fix integer overflow when calculating optimal MTT size
    - bpf: add map_alloc_check callback
    - bpf: fix possible spectre-v1 in find_and_alloc_map()
    - drm/exynos/mixer: fix synchronization check in interlaced mode
    - drm/exynos: mixer: avoid Oops in vp_video_buffer()
    - bpf: use array_index_nospec in find_prog_type
    - gcc-plugins: fix build condition of SANCOV plugin
    - drm/vc4: Fix oops dereferencing DPI's connector since panel_bridge.
    - nvme: fix use-after-free in nvme_free_ns_head
    - powerpc/pseries: Fix CONFIG_NUMA=n build
    - HID: i2c-hid: Add RESEND_REPORT_DESCR quirk for Toshiba Click Mini L9W-B
    - cifs: Allocate validate negotiation request through kmalloc
    - drm/amdgpu: Switch to interruptable wait to recover from ring hang.
    - rxrpc: Fix missing start of call timeout
    - ARM: dts: imx51-zii-rdu1: fix touchscreen bindings
    - sh: switch to NO_BOOTMEM
    - lib/find_bit_benchmark.c: avoid soft lockup in test_find_first_bit()
    - x86/pkeys/selftests: Avoid printf-in-signal deadlocks
    - afs: Fix address list parsing
    - afs: Fix refcounting in callback registration
    - afs: Fix server rotation's handling of fileserver probe failure
    - afs: Fix VNOVOL handling in address rotation
    - afs: Fix the handling of CB.InitCallBackState3 to find the server by UUID
    - afs: Fix afs_find_server search loop
    - KVM: X86: Lower the default timer frequency limit to 200us
    - platform/x86: DELL_WMI use depends on instead of select for DELL_SMBIOS
    - ARM: replace unnecessary perl with sed and the shell $(( )) operator
  * Improvements to the kernel source package preparation (LP: #1793461)
    - [Packaging] startnewrelease: add support for backport kernels
  * Kernel 4.15.0-35.38 fails to build with CONFIG_XFS_ONLINE_SCRUB enabled
    (LP: #1792393)
    - SAUCE: xfs: fix build error with CONFIG_XFS_ONLINE_SCRUB enabled
  * update ENA driver to latest mainline version (LP: #1792044)
    - net: ena: add detection and recovery mechanism for handling missed/misrouted
      MSI-X
    - net: ena: increase ena driver version to 1.5.0
    - net: ena: Eliminate duplicate barriers on weakly-ordered archs
    - SAUCE: ena: devm_kzalloc() -> devm_kcalloc()
    - net: ena: Fix use of uninitialized DMA address bits field
    - net: ena: fix surprise unplug NULL dereference kernel crash
    - net: ena: fix driver when PAGE_SIZE == 64kB
    - net: ena: fix device destruction to gracefully free resources
    - net: ena: fix potential double ena_destroy_device()
    - net: ena: fix missing lock during device destruction
    - net: ena: fix missing calls to READ_ONCE
    - net: ena: fix incorrect usage of memory barriers

 -- Stefan Bader <stefan.bader@canonical.com>  Tue, 02 Oct 2018 18:12:01 +0200

# For older changelog entries, run 'apt-get changelog linux-buildinfo-4.15.0-1033-aws'
